((typeof self !== 'undefined' ? self : this)["webpackJsonpcloud_render_management"] = (typeof self !== 'undefined' ? self : this)["webpackJsonpcloud_render_management"] || []).push([[3],{

/***/ "2945":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Return the mime type for the given `str`.
 *
 * @param {String} str
 * @return {String}
 * @api private
 */
__webpack_require__("fb6a");
__webpack_require__("d3b7");
__webpack_require__("ac1f");
__webpack_require__("1276");
exports.type = function (str) {
  return str.split(/ *; */).shift();
};
/**
 * Return header field parameters.
 *
 * @param {String} str
 * @return {Object}
 * @api private
 */

exports.params = function (str) {
  return str.split(/ *; */).reduce(function (obj, str) {
    var parts = str.split(/ *= */);
    var key = parts.shift();
    var val = parts.shift();
    if (key && val) obj[key] = val;
    return obj;
  }, {});
};
/**
 * Parse Link header fields.
 *
 * @param {String} str
 * @return {Object}
 * @api private
 */

exports.parseLinks = function (str) {
  return str.split(/ *, */).reduce(function (obj, str) {
    var parts = str.split(/ *; */);
    var url = parts[0].slice(1, -1);
    var rel = parts[1].split(/ *= */)[1].slice(1, -1);
    obj[rel] = url;
    return obj;
  }, {});
};
/**
 * Strip content related fields from `header`.
 *
 * @param {Object} header
 * @return {Object} header
 * @api private
 */

exports.cleanHeader = function (header, changesOrigin) {
  delete header['content-type'];
  delete header['content-length'];
  delete header['transfer-encoding'];
  delete header.host; // secuirty

  if (changesOrigin) {
    delete header.authorization;
    delete header.cookie;
  }
  return header;
};

/***/ }),

/***/ "2fce":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("a4d3");
__webpack_require__("e01a");
__webpack_require__("d28b");
__webpack_require__("e260");
__webpack_require__("d3b7");
__webpack_require__("3ca3");
__webpack_require__("ddb0");
function _typeof(obj) {
  "@babel/helpers - typeof";

  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof = function _typeof(obj) {
      return typeof obj;
    };
  } else {
    _typeof = function _typeof(obj) {
      return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    };
  }
  return _typeof(obj);
}

/**
 * Check if `obj` is an object.
 *
 * @param {Object} obj
 * @return {Boolean}
 * @api private
 */
function isObject(obj) {
  return obj !== null && _typeof(obj) === 'object';
}
module.exports = isObject;

/***/ }),

/***/ "389f":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("a4d3");
__webpack_require__("e01a");
__webpack_require__("d28b");
__webpack_require__("d9e2");
__webpack_require__("99af");
__webpack_require__("caad");
__webpack_require__("e260");
__webpack_require__("a15b");
__webpack_require__("fb6a");
__webpack_require__("4e82");
__webpack_require__("d3b7");
__webpack_require__("e6cf");
__webpack_require__("2532");
__webpack_require__("3ca3");
__webpack_require__("ddb0");
function _typeof(obj) {
  "@babel/helpers - typeof";

  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof = function _typeof(obj) {
      return typeof obj;
    };
  } else {
    _typeof = function _typeof(obj) {
      return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    };
  }
  return _typeof(obj);
}

/**
 * Module of mixed-in functions shared between node and client code
 */
var isObject = __webpack_require__("2fce");
/**
 * Expose `RequestBase`.
 */

module.exports = RequestBase;
/**
 * Initialize a new `RequestBase`.
 *
 * @api public
 */

function RequestBase(obj) {
  if (obj) return mixin(obj);
}
/**
 * Mixin the prototype properties.
 *
 * @param {Object} obj
 * @return {Object}
 * @api private
 */

function mixin(obj) {
  for (var key in RequestBase.prototype) {
    if (Object.prototype.hasOwnProperty.call(RequestBase.prototype, key)) obj[key] = RequestBase.prototype[key];
  }
  return obj;
}
/**
 * Clear previous timeout.
 *
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.clearTimeout = function () {
  clearTimeout(this._timer);
  clearTimeout(this._responseTimeoutTimer);
  clearTimeout(this._uploadTimeoutTimer);
  delete this._timer;
  delete this._responseTimeoutTimer;
  delete this._uploadTimeoutTimer;
  return this;
};
/**
 * Override default response body parser
 *
 * This function will be called to convert incoming data into request.body
 *
 * @param {Function}
 * @api public
 */

RequestBase.prototype.parse = function (fn) {
  this._parser = fn;
  return this;
};
/**
 * Set format of binary response body.
 * In browser valid formats are 'blob' and 'arraybuffer',
 * which return Blob and ArrayBuffer, respectively.
 *
 * In Node all values result in Buffer.
 *
 * Examples:
 *
 *      req.get('/')
 *        .responseType('blob')
 *        .end(callback);
 *
 * @param {String} val
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.responseType = function (val) {
  this._responseType = val;
  return this;
};
/**
 * Override default request body serializer
 *
 * This function will be called to convert data set via .send or .attach into payload to send
 *
 * @param {Function}
 * @api public
 */

RequestBase.prototype.serialize = function (fn) {
  this._serializer = fn;
  return this;
};
/**
 * Set timeouts.
 *
 * - response timeout is time between sending request and receiving the first byte of the response. Includes DNS and connection time.
 * - deadline is the time from start of the request to receiving response body in full. If the deadline is too short large files may not load at all on slow connections.
 * - upload is the time  since last bit of data was sent or received. This timeout works only if deadline timeout is off
 *
 * Value of 0 or false means no timeout.
 *
 * @param {Number|Object} ms or {response, deadline}
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.timeout = function (options) {
  if (!options || _typeof(options) !== 'object') {
    this._timeout = options;
    this._responseTimeout = 0;
    this._uploadTimeout = 0;
    return this;
  }
  for (var option in options) {
    if (Object.prototype.hasOwnProperty.call(options, option)) {
      switch (option) {
        case 'deadline':
          this._timeout = options.deadline;
          break;
        case 'response':
          this._responseTimeout = options.response;
          break;
        case 'upload':
          this._uploadTimeout = options.upload;
          break;
        default:
          console.warn('Unknown timeout option', option);
      }
    }
  }
  return this;
};
/**
 * Set number of retry attempts on error.
 *
 * Failed requests will be retried 'count' times if timeout or err.code >= 500.
 *
 * @param {Number} count
 * @param {Function} [fn]
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.retry = function (count, fn) {
  // Default to 1 if no count passed or true
  if (arguments.length === 0 || count === true) count = 1;
  if (count <= 0) count = 0;
  this._maxRetries = count;
  this._retries = 0;
  this._retryCallback = fn;
  return this;
};
var ERROR_CODES = ['ECONNRESET', 'ETIMEDOUT', 'EADDRINFO', 'ESOCKETTIMEDOUT'];
/**
 * Determine if a request should be retried.
 * (Borrowed from segmentio/superagent-retry)
 *
 * @param {Error} err an error
 * @param {Response} [res] response
 * @returns {Boolean} if segment should be retried
 */

RequestBase.prototype._shouldRetry = function (err, res) {
  if (!this._maxRetries || this._retries++ >= this._maxRetries) {
    return false;
  }
  if (this._retryCallback) {
    try {
      var override = this._retryCallback(err, res);
      if (override === true) return true;
      if (override === false) return false; // undefined falls back to defaults
    } catch (err_) {
      console.error(err_);
    }
  }
  if (res && res.status && res.status >= 500 && res.status !== 501) return true;
  if (err) {
    if (err.code && ERROR_CODES.includes(err.code)) return true; // Superagent timeout

    if (err.timeout && err.code === 'ECONNABORTED') return true;
    if (err.crossDomain) return true;
  }
  return false;
};
/**
 * Retry request
 *
 * @return {Request} for chaining
 * @api private
 */

RequestBase.prototype._retry = function () {
  this.clearTimeout(); // node

  if (this.req) {
    this.req = null;
    this.req = this.request();
  }
  this._aborted = false;
  this.timedout = false;
  this.timedoutError = null;
  return this._end();
};
/**
 * Promise support
 *
 * @param {Function} resolve
 * @param {Function} [reject]
 * @return {Request}
 */

RequestBase.prototype.then = function (resolve, reject) {
  var _this = this;
  if (!this._fullfilledPromise) {
    var self = this;
    if (this._endCalled) {
      console.warn('Warning: superagent request was sent twice, because both .end() and .then() were called. Never call .end() if you use promises');
    }
    this._fullfilledPromise = new Promise(function (resolve, reject) {
      self.on('abort', function () {
        if (_this._maxRetries && _this._maxRetries > _this._retries) {
          return;
        }
        if (_this.timedout && _this.timedoutError) {
          reject(_this.timedoutError);
          return;
        }
        var err = new Error('Aborted');
        err.code = 'ABORTED';
        err.status = _this.status;
        err.method = _this.method;
        err.url = _this.url;
        reject(err);
      });
      self.end(function (err, res) {
        if (err) reject(err);else resolve(res);
      });
    });
  }
  return this._fullfilledPromise.then(resolve, reject);
};
RequestBase.prototype.catch = function (cb) {
  return this.then(undefined, cb);
};
/**
 * Allow for extension
 */

RequestBase.prototype.use = function (fn) {
  fn(this);
  return this;
};
RequestBase.prototype.ok = function (cb) {
  if (typeof cb !== 'function') throw new Error('Callback required');
  this._okCallback = cb;
  return this;
};
RequestBase.prototype._isResponseOK = function (res) {
  if (!res) {
    return false;
  }
  if (this._okCallback) {
    return this._okCallback(res);
  }
  return res.status >= 200 && res.status < 300;
};
/**
 * Get request header `field`.
 * Case-insensitive.
 *
 * @param {String} field
 * @return {String}
 * @api public
 */

RequestBase.prototype.get = function (field) {
  return this._header[field.toLowerCase()];
};
/**
 * Get case-insensitive header `field` value.
 * This is a deprecated internal API. Use `.get(field)` instead.
 *
 * (getHeader is no longer used internally by the superagent code base)
 *
 * @param {String} field
 * @return {String}
 * @api private
 * @deprecated
 */

RequestBase.prototype.getHeader = RequestBase.prototype.get;
/**
 * Set header `field` to `val`, or multiple fields with one object.
 * Case-insensitive.
 *
 * Examples:
 *
 *      req.get('/')
 *        .set('Accept', 'application/json')
 *        .set('X-API-Key', 'foobar')
 *        .end(callback);
 *
 *      req.get('/')
 *        .set({ Accept: 'application/json', 'X-API-Key': 'foobar' })
 *        .end(callback);
 *
 * @param {String|Object} field
 * @param {String} val
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.set = function (field, val) {
  if (isObject(field)) {
    for (var key in field) {
      if (Object.prototype.hasOwnProperty.call(field, key)) this.set(key, field[key]);
    }
    return this;
  }
  this._header[field.toLowerCase()] = val;
  this.header[field] = val;
  return this;
};
/**
 * Remove header `field`.
 * Case-insensitive.
 *
 * Example:
 *
 *      req.get('/')
 *        .unset('User-Agent')
 *        .end(callback);
 *
 * @param {String} field field name
 */

RequestBase.prototype.unset = function (field) {
  delete this._header[field.toLowerCase()];
  delete this.header[field];
  return this;
};
/**
 * Write the field `name` and `val`, or multiple fields with one object
 * for "multipart/form-data" request bodies.
 *
 * ``` js
 * request.post('/upload')
 *   .field('foo', 'bar')
 *   .end(callback);
 *
 * request.post('/upload')
 *   .field({ foo: 'bar', baz: 'qux' })
 *   .end(callback);
 * ```
 *
 * @param {String|Object} name name of field
 * @param {String|Blob|File|Buffer|fs.ReadStream} val value of field
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.field = function (name, val) {
  // name should be either a string or an object.
  if (name === null || undefined === name) {
    throw new Error('.field(name, val) name can not be empty');
  }
  if (this._data) {
    throw new Error(".field() can't be used if .send() is used. Please use only .send() or only .field() & .attach()");
  }
  if (isObject(name)) {
    for (var key in name) {
      if (Object.prototype.hasOwnProperty.call(name, key)) this.field(key, name[key]);
    }
    return this;
  }
  if (Array.isArray(val)) {
    for (var i in val) {
      if (Object.prototype.hasOwnProperty.call(val, i)) this.field(name, val[i]);
    }
    return this;
  } // val should be defined now

  if (val === null || undefined === val) {
    throw new Error('.field(name, val) val can not be empty');
  }
  if (typeof val === 'boolean') {
    val = String(val);
  }
  this._getFormData().append(name, val);
  return this;
};
/**
 * Abort the request, and clear potential timeout.
 *
 * @return {Request} request
 * @api public
 */

RequestBase.prototype.abort = function () {
  if (this._aborted) {
    return this;
  }
  this._aborted = true;
  if (this.xhr) this.xhr.abort(); // browser

  if (this.req) this.req.abort(); // node

  this.clearTimeout();
  this.emit('abort');
  return this;
};
RequestBase.prototype._auth = function (user, pass, options, base64Encoder) {
  switch (options.type) {
    case 'basic':
      this.set('Authorization', "Basic ".concat(base64Encoder("".concat(user, ":").concat(pass))));
      break;
    case 'auto':
      this.username = user;
      this.password = pass;
      break;
    case 'bearer':
      // usage would be .auth(accessToken, { type: 'bearer' })
      this.set('Authorization', "Bearer ".concat(user));
      break;
    default:
      break;
  }
  return this;
};
/**
 * Enable transmission of cookies with x-domain requests.
 *
 * Note that for this to work the origin must not be
 * using "Access-Control-Allow-Origin" with a wildcard,
 * and also must set "Access-Control-Allow-Credentials"
 * to "true".
 *
 * @api public
 */

RequestBase.prototype.withCredentials = function (on) {
  // This is browser-only functionality. Node side is no-op.
  if (on === undefined) on = true;
  this._withCredentials = on;
  return this;
};
/**
 * Set the max redirects to `n`. Does nothing in browser XHR implementation.
 *
 * @param {Number} n
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.redirects = function (n) {
  this._maxRedirects = n;
  return this;
};
/**
 * Maximum size of buffered response body, in bytes. Counts uncompressed size.
 * Default 200MB.
 *
 * @param {Number} n number of bytes
 * @return {Request} for chaining
 */

RequestBase.prototype.maxResponseSize = function (n) {
  if (typeof n !== 'number') {
    throw new TypeError('Invalid argument');
  }
  this._maxResponseSize = n;
  return this;
};
/**
 * Convert to a plain javascript object (not JSON string) of scalar properties.
 * Note as this method is designed to return a useful non-this value,
 * it cannot be chained.
 *
 * @return {Object} describing method, url, and data of this request
 * @api public
 */

RequestBase.prototype.toJSON = function () {
  return {
    method: this.method,
    url: this.url,
    data: this._data,
    headers: this._header
  };
};
/**
 * Send `data` as the request body, defaulting the `.type()` to "json" when
 * an object is given.
 *
 * Examples:
 *
 *       // manual json
 *       request.post('/user')
 *         .type('json')
 *         .send('{"name":"tj"}')
 *         .end(callback)
 *
 *       // auto json
 *       request.post('/user')
 *         .send({ name: 'tj' })
 *         .end(callback)
 *
 *       // manual x-www-form-urlencoded
 *       request.post('/user')
 *         .type('form')
 *         .send('name=tj')
 *         .end(callback)
 *
 *       // auto x-www-form-urlencoded
 *       request.post('/user')
 *         .type('form')
 *         .send({ name: 'tj' })
 *         .end(callback)
 *
 *       // defaults to x-www-form-urlencoded
 *      request.post('/user')
 *        .send('name=tobi')
 *        .send('species=ferret')
 *        .end(callback)
 *
 * @param {String|Object} data
 * @return {Request} for chaining
 * @api public
 */
// eslint-disable-next-line complexity

RequestBase.prototype.send = function (data) {
  var isObj = isObject(data);
  var type = this._header['content-type'];
  if (this._formData) {
    throw new Error(".send() can't be used if .attach() or .field() is used. Please use only .send() or only .field() & .attach()");
  }
  if (isObj && !this._data) {
    if (Array.isArray(data)) {
      this._data = [];
    } else if (!this._isHost(data)) {
      this._data = {};
    }
  } else if (data && this._data && this._isHost(this._data)) {
    throw new Error("Can't merge these send calls");
  } // merge

  if (isObj && isObject(this._data)) {
    for (var key in data) {
      if (Object.prototype.hasOwnProperty.call(data, key)) this._data[key] = data[key];
    }
  } else if (typeof data === 'string') {
    // default to x-www-form-urlencoded
    if (!type) this.type('form');
    type = this._header['content-type'];
    if (type === 'application/x-www-form-urlencoded') {
      this._data = this._data ? "".concat(this._data, "&").concat(data) : data;
    } else {
      this._data = (this._data || '') + data;
    }
  } else {
    this._data = data;
  }
  if (!isObj || this._isHost(data)) {
    return this;
  } // default to json

  if (!type) this.type('json');
  return this;
};
/**
 * Sort `querystring` by the sort function
 *
 *
 * Examples:
 *
 *       // default order
 *       request.get('/user')
 *         .query('name=Nick')
 *         .query('search=Manny')
 *         .sortQuery()
 *         .end(callback)
 *
 *       // customized sort function
 *       request.get('/user')
 *         .query('name=Nick')
 *         .query('search=Manny')
 *         .sortQuery(function(a, b){
 *           return a.length - b.length;
 *         })
 *         .end(callback)
 *
 *
 * @param {Function} sort
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.sortQuery = function (sort) {
  // _sort default to true but otherwise can be a function or boolean
  this._sort = typeof sort === 'undefined' ? true : sort;
  return this;
};
/**
 * Compose querystring to append to req.url
 *
 * @api private
 */

RequestBase.prototype._finalizeQueryString = function () {
  var query = this._query.join('&');
  if (query) {
    this.url += (this.url.includes('?') ? '&' : '?') + query;
  }
  this._query.length = 0; // Makes the call idempotent

  if (this._sort) {
    var index = this.url.indexOf('?');
    if (index >= 0) {
      var queryArr = this.url.slice(index + 1).split('&');
      if (typeof this._sort === 'function') {
        queryArr.sort(this._sort);
      } else {
        queryArr.sort();
      }
      this.url = this.url.slice(0, index) + '?' + queryArr.join('&');
    }
  }
}; // For backwards compat only

RequestBase.prototype._appendQueryString = function () {
  console.warn('Unsupported');
};
/**
 * Invoke callback with timeout error.
 *
 * @api private
 */

RequestBase.prototype._timeoutError = function (reason, timeout, errno) {
  if (this._aborted) {
    return;
  }
  var err = new Error("".concat(reason + timeout, "ms exceeded"));
  err.timeout = timeout;
  err.code = 'ECONNABORTED';
  err.errno = errno;
  this.timedout = true;
  this.timedoutError = err;
  this.abort();
  this.callback(err);
};
RequestBase.prototype._setTimeouts = function () {
  var self = this; // deadline

  if (this._timeout && !this._timer) {
    this._timer = setTimeout(function () {
      self._timeoutError('Timeout of ', self._timeout, 'ETIME');
    }, this._timeout);
  } // response timeout

  if (this._responseTimeout && !this._responseTimeoutTimer) {
    this._responseTimeoutTimer = setTimeout(function () {
      self._timeoutError('Response timeout of ', self._responseTimeout, 'ETIMEDOUT');
    }, this._responseTimeout);
  }
};

/***/ }),

/***/ "3c33":
/***/ (function(module, exports, __webpack_require__) {

/* WEBPACK VAR INJECTION */(function(Buffer, module) {var __WEBPACK_AMD_DEFINE_FACTORY__, __WEBPACK_AMD_DEFINE_ARRAY__, __WEBPACK_AMD_DEFINE_RESULT__;var _classCallCheck = __webpack_require__("970b").default;
var _createClass = __webpack_require__("5bc3").default;
var _typeof = __webpack_require__("7037").default;
__webpack_require__("944a");
__webpack_require__("d9e2");
__webpack_require__("4de4");
__webpack_require__("caad");
__webpack_require__("a15b");
__webpack_require__("d81d");
__webpack_require__("b0c0");
__webpack_require__("6c57");
__webpack_require__("0c47");
__webpack_require__("23dc");
__webpack_require__("b64b");
__webpack_require__("d3b7");
__webpack_require__("e6cf");
__webpack_require__("ac1f");
__webpack_require__("25f0");
__webpack_require__("466d");
__webpack_require__("5319");
__webpack_require__("159b");
__webpack_require__("c73d");
(function (u, w) {
  ( false ? undefined : _typeof(exports)) == "object" && ( false ? undefined : _typeof(module)) < "u" ? w(exports, __webpack_require__("d906")) :  true ? !(__WEBPACK_AMD_DEFINE_ARRAY__ = [exports, __webpack_require__("d906")], __WEBPACK_AMD_DEFINE_FACTORY__ = (w),
				__WEBPACK_AMD_DEFINE_RESULT__ = (typeof __WEBPACK_AMD_DEFINE_FACTORY__ === 'function' ?
				(__WEBPACK_AMD_DEFINE_FACTORY__.apply(exports, __WEBPACK_AMD_DEFINE_ARRAY__)) : __WEBPACK_AMD_DEFINE_FACTORY__),
				__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__)) : (undefined);
})(this, function (u, w) {
  "use strict";

  var we = Object.defineProperty;
  var Ie = function Ie(u, w, m) {
    return w in u ? we(u, w, {
      enumerable: !0,
      configurable: !0,
      writable: !0,
      value: m
    }) : u[w] = m;
  };
  var G = function G(u, w, m) {
    return Ie(u, _typeof(w) != "symbol" ? w + "" : w, m), m;
  };
  var g = /*#__PURE__*/function () {
    function g() {
      _classCallCheck(this, g);
      this.basePath = "/".replace(/\/+$/, ""), this.authentications = {
        oauth2: {
          type: "oauth2"
        }
      }, this.defaultHeaders = {}, this.timeout = 6e4, this.cache = !0, this.enableCookies = !1, (typeof window === "undefined" ? "undefined" : _typeof(window)) > "u" && (this.agent = new w.agent()), this.requestAgent = null;
    }
    return _createClass(g, [{
      key: "paramToString",
      value: function paramToString(e) {
        return e == null || e == null ? "" : e instanceof Date ? e.toJSON() : e.toString();
      }
    }, {
      key: "buildUrl",
      value: function buildUrl(e, t) {
        var _this = this;
        e.match(/^\//) || (e = "/" + e);
        var n = this.basePath + e;
        return n = n.replace(/\{([\w-]+)\}/g, function (i, r) {
          var a;
          return t.hasOwnProperty(r) ? a = _this.paramToString(t[r]) : a = i, encodeURIComponent(a);
        }), n;
      }
    }, {
      key: "isJsonMime",
      value: function isJsonMime(e) {
        return !!(e != null && e.match(/^application\/json(;.*)?$/i));
      }
    }, {
      key: "jsonPreferredMime",
      value: function jsonPreferredMime(e) {
        for (var t = 0; t < e.length; t++) if (this.isJsonMime(e[t])) return e[t];
        return e[0];
      }
    }, {
      key: "isFileParam",
      value: function isFileParam(e) {
        if (true) {
          var t;
          try {
            t = __webpack_require__(2);
          } catch (_unused) {}
          if (t && t.ReadStream && e instanceof t.ReadStream) return !0;
        }
        return typeof Buffer == "function" && e instanceof Buffer || typeof Blob == "function" && e instanceof Blob || typeof File == "function" && e instanceof File;
      }
    }, {
      key: "normalizeParams",
      value: function normalizeParams(e) {
        var t = {};
        for (var n in e) if (e.hasOwnProperty(n) && e[n] != null && e[n] != null) {
          var i = e[n];
          this.isFileParam(i) || Array.isArray(i) ? t[n] = i : t[n] = this.paramToString(i);
        }
        return t;
      }
    }, {
      key: "buildCollectionParam",
      value: function buildCollectionParam(e, t) {
        if (e == null) return null;
        switch (t) {
          case "csv":
            return e.map(this.paramToString).join(",");
          case "ssv":
            return e.map(this.paramToString).join(" ");
          case "tsv":
            return e.map(this.paramToString).join("	");
          case "pipes":
            return e.map(this.paramToString).join("|");
          case "multi":
            return e.map(this.paramToString);
          default:
            throw new Error("Unknown collection format: " + t);
        }
      }
    }, {
      key: "applyAuthToRequest",
      value: function applyAuthToRequest(e, t) {
        var _this2 = this;
        t.forEach(function (n) {
          var i = _this2.authentications[n];
          switch (i.type) {
            case "basic":
              (i.username || i.password) && e.auth(i.username || "", i.password || "");
              break;
            case "apiKey":
              if (i.apiKey) {
                var r = {};
                i.apiKeyPrefix ? r[i.name] = i.apiKeyPrefix + " " + i.apiKey : r[i.name] = i.apiKey, i.in === "header" ? e.set(r) : e.query(r);
              }
              break;
            case "oauth2":
              i.accessToken && e.set({
                Authorization: "Bearer " + i.accessToken
              });
              break;
            default:
              throw new Error("Unknown authentication type: " + i.type);
          }
        });
      }
    }, {
      key: "deserialize",
      value: function deserialize(e, t) {
        if (e == null || e.status == 204) return null;
        var n = e.body;
        if ((n == null || _typeof(n) == "object" && _typeof(n.length) > "u" && !Object.keys(n).length) && (n = e.text), t == null && ["easc3"].includes("file-management")) return {
          data: n
        };
        var i = g.convertToType(n.data, t);
        return {
          code: n.code,
          data: i
        };
      }
    }, {
      key: "callApi",
      value: function callApi(e, t, n, i, r, a, l, o, s, p, c) {
        var _this3 = this;
        var $ = this.buildUrl(e, n),
          T = w(t, $);
        this.applyAuthToRequest(T, o), t.toUpperCase() === "GET" && this.cache === !1 && (i._ = new Date().getTime()), T.query(this.normalizeParams(i)), T.set(this.defaultHeaders).set(this.normalizeParams(r)), this.requestAgent && T.agent(this.requestAgent), T.timeout(this.timeout);
        var Q = this.jsonPreferredMime(s);
        if (Q ? Q != "multipart/form-data" && T.type(Q) : T.header["Content-Type"] || T.type("application/json"), Q === "application/x-www-form-urlencoded") T.send(g.stringify(this.normalizeParams(a)));else if (Q == "multipart/form-data") {
          var X = this.normalizeParams(a);
          for (var b in X) X.hasOwnProperty(b) && (this.isFileParam(X[b]) ? T.attach(b, X[b]) : T.field(b, X[b]));
        } else l && T.send(l);
        var he = this.jsonPreferredMime(p);
        return he && T.accept(he), c === "Blob" ? T.responseType("blob") : c === "String" && T.responseType("string"), this.enableCookies && ((typeof window === "undefined" ? "undefined" : _typeof(window)) > "u" ? this.agent.attachCookies(T) : T.withCredentials()), new Promise(function (Te, de) {
          T.end(function (ye, se) {
            if (ye) de(ye);else try {
              var ge = _this3.deserialize(se, c);
              _this3.enableCookies && (typeof window === "undefined" ? "undefined" : _typeof(window)) > "u" && _this3.agent.saveCookies(se), Te({
                data: ge,
                response: se
              });
            } catch (Pe) {
              de(Pe);
            }
          });
        });
      }
    }], [{
      key: "parseDate",
      value: function parseDate(e) {
        return new Date(e);
      }
    }, {
      key: "convertToType",
      value: function convertToType(e, t) {
        if (e == null) return e;
        switch (t) {
          case "Boolean":
            return !!e;
          case "Integer":
            return parseInt(e, 10);
          case "Number":
            return parseFloat(e);
          case "String":
            return String(e);
          case "Date":
            return g.parseDate(String(e));
          case "Blob":
            return e;
          default:
            if (t === Object) return e;
            if (typeof t == "function") return t.constructFromObject(e);
            if (Array.isArray(t)) {
              var n = t[0];
              return e.map(function (p) {
                return g.convertToType(p, n);
              });
            } else if (_typeof(t) == "object") {
              var i, r;
              for (var a in t) if (t.hasOwnProperty(a)) {
                i = a, r = t[a];
                break;
              }
              var l = {};
              for (var a in e) if (e.hasOwnProperty(a)) {
                var o = g.convertToType(a, i),
                  s = g.convertToType(e[a], r);
                l[o] = s;
              }
              return l;
            } else return e;
        }
      }
    }, {
      key: "constructFromObject",
      value: function constructFromObject(e, t, n) {
        if (Array.isArray(e)) for (var i = 0; i < e.length; i++) e.hasOwnProperty(i) && (t[i] = g.convertToType(e[i], n));else for (var r in e) e.hasOwnProperty(r) && (t[r] = g.convertToType(e[r], n));
      }
    }, {
      key: "GetInstance",
      value: function GetInstance(e, t) {
        return Wiz ? Wiz.GetApiClientInstance(e, t) : new g();
      }
    }, {
      key: "stringifyPrimitive",
      value: function stringifyPrimitive(e) {
        switch (_typeof(e)) {
          case "string":
            return e;
          case "boolean":
            return e ? "true" : "false";
          case "number":
            return isFinite(e) ? e : "";
          default:
            return "";
        }
      }
    }, {
      key: "stringify",
      value: function stringify(e, t, n, i) {
        return t = t || "&", n = n || "=", e === null && (e = void 0), _typeof(e) == "object" ? Object.keys(e).map(function (r) {
          var a = encodeURIComponent(g.stringifyPrimitive(r)) + n;
          return Array.isArray(e[r]) ? e[r].map(function (l) {
            return a + encodeURIComponent(g.stringifyPrimitive(l));
          }).join(t) : a + encodeURIComponent(g.stringifyPrimitive(e[r]));
        }).filter(Boolean).join(t) : i ? encodeURIComponent(g.stringifyPrimitive(i)) + n + encodeURIComponent(g.stringifyPrimitive(e)) : "";
      }
    }]);
  }();
  G(g, "CollectionFormatEnum", {
    CSV: ",",
    SSV: " ",
    TSV: "	",
    PIPES: "|",
    MULTI: "multi"
  });
  var m = g;
  var L = /*#__PURE__*/function () {
    function L() {
      _classCallCheck(this, L);
    }
    return _createClass(L, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new L(), e.hasOwnProperty("members") && (t.members = m.convertToType(e.members, ["String"])), e.hasOwnProperty("message") && (t.message = m.convertToType(e.message, "String"))), t;
      }
    }]);
  }();
  L.prototype.members = void 0, L.prototype.message = void 0;
  var O = /*#__PURE__*/function () {
    function O() {
      _classCallCheck(this, O);
    }
    return _createClass(O, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new O(), e.hasOwnProperty("code") && (t.code = m.convertToType(e.code, "String")), e.hasOwnProperty("data") && (t.data = m.convertToType(e.data, {
          String: Object
        })), e.hasOwnProperty("details") && (t.details = m.convertToType(e.details, "String")), e.hasOwnProperty("message") && (t.message = m.convertToType(e.message, "String")), e.hasOwnProperty("validationErrors") && (t.validationErrors = m.convertToType(e.validationErrors, [L]))), t;
      }
    }]);
  }();
  O.prototype.code = void 0, O.prototype.data = void 0, O.prototype.details = void 0, O.prototype.message = void 0, O.prototype.validationErrors = void 0;
  var Y = /*#__PURE__*/function () {
    function Y() {
      _classCallCheck(this, Y);
    }
    return _createClass(Y, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new Y(), e.hasOwnProperty("error") && (t.error = O.constructFromObject(e.error))), t;
      }
    }]);
  }();
  Y.prototype.error = void 0;
  var M = /*#__PURE__*/function () {
    function M(e, t) {
      _classCallCheck(this, M);
      this.folderId = e, this.name = t;
    }
    return _createClass(M, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new M(), e.hasOwnProperty("content") && (t.content = m.convertToType(e.content, "Blob")), e.hasOwnProperty("flag") && (t.flag = m.convertToType(e.flag, "Number")), e.hasOwnProperty("folderId") && (t.folderId = m.convertToType(e.folderId, "String")), e.hasOwnProperty("name") && (t.name = m.convertToType(e.name, "String")), e.hasOwnProperty("version") && (t.version = m.convertToType(e.version, "String"))), t;
      }
    }]);
  }();
  M.prototype.content = void 0, M.prototype.flag = void 0, M.prototype.folderId = void 0, M.prototype.name = void 0, M.prototype.version = void 0;
  var x = /*#__PURE__*/function () {
    function x(e) {
      _classCallCheck(this, x);
      this.name = e;
    }
    return _createClass(x, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new x(), e.hasOwnProperty("flag") && (t.flag = m.convertToType(e.flag, "Number")), e.hasOwnProperty("name") && (t.name = m.convertToType(e.name, "String")), e.hasOwnProperty("parentId") && (t.parentId = m.convertToType(e.parentId, "String")), e.hasOwnProperty("seqNo") && (t.seqNo = m.convertToType(e.seqNo, "Number"))), t;
      }
    }]);
  }();
  x.prototype.flag = void 0, x.prototype.name = void 0, x.prototype.parentId = void 0, x.prototype.seqNo = void 0;
  var U = /*#__PURE__*/function () {
    function U(e) {
      _classCallCheck(this, U);
      this.name = e;
    }
    return _createClass(U, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new U(), e.hasOwnProperty("content") && (t.content = m.convertToType(e.content, "Blob")), e.hasOwnProperty("flag") && (t.flag = m.convertToType(e.flag, "Number")), e.hasOwnProperty("name") && (t.name = m.convertToType(e.name, "String"))), t;
      }
    }]);
  }();
  U.prototype.content = void 0, U.prototype.flag = void 0, U.prototype.name = void 0;
  var S = /*#__PURE__*/function () {
    function S() {
      _classCallCheck(this, S);
    }
    return _createClass(S, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new S(), e.hasOwnProperty("content") && (t.content = m.convertToType(e.content, "Blob")), e.hasOwnProperty("contentType") && (t.contentType = m.convertToType(e.contentType, "String")), e.hasOwnProperty("name") && (t.name = m.convertToType(e.name, "String"))), t;
      }
    }]);
  }();
  S.prototype.content = void 0, S.prototype.contentType = void 0, S.prototype.name = void 0;
  var J = /*#__PURE__*/function () {
    function J() {
      _classCallCheck(this, J);
    }
    return _createClass(J, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new J(), e.hasOwnProperty("conversionFileInfoId") && (t.conversionFileInfoId = m.convertToType(e.conversionFileInfoId, "String")), e.hasOwnProperty("fileInfoId") && (t.fileInfoId = m.convertToType(e.fileInfoId, "String"))), t;
      }
    }]);
  }();
  J.prototype.conversionFileInfoId = void 0, J.prototype.fileInfoId = void 0;
  var P = /*#__PURE__*/function () {
    function P() {
      _classCallCheck(this, P);
    }
    return _createClass(P, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new P(), e.hasOwnProperty("convertFileInfoId") && (t.convertFileInfoId = m.convertToType(e.convertFileInfoId, "String")), e.hasOwnProperty("convertFileMd5") && (t.convertFileMd5 = m.convertToType(e.convertFileMd5, "String")), e.hasOwnProperty("convertFileName") && (t.convertFileName = m.convertToType(e.convertFileName, "String")), e.hasOwnProperty("convertFilePath") && (t.convertFilePath = m.convertToType(e.convertFilePath, "String")), e.hasOwnProperty("convertFileStorageName") && (t.convertFileStorageName = m.convertToType(e.convertFileStorageName, "String")), e.hasOwnProperty("createTime") && (t.createTime = m.convertToType(e.createTime, "Date")), e.hasOwnProperty("fileInfoId") && (t.fileInfoId = m.convertToType(e.fileInfoId, "String")), e.hasOwnProperty("filePath") && (t.filePath = m.convertToType(e.filePath, "String")), e.hasOwnProperty("id") && (t.id = m.convertToType(e.id, "String")), e.hasOwnProperty("md5") && (t.md5 = m.convertToType(e.md5, "String")), e.hasOwnProperty("name") && (t.name = m.convertToType(e.name, "String")), e.hasOwnProperty("storageName") && (t.storageName = m.convertToType(e.storageName, "String"))), t;
      }
    }]);
  }();
  P.prototype.convertFileInfoId = void 0, P.prototype.convertFileMd5 = void 0, P.prototype.convertFileName = void 0, P.prototype.convertFilePath = void 0, P.prototype.convertFileStorageName = void 0, P.prototype.createTime = void 0, P.prototype.fileInfoId = void 0, P.prototype.filePath = void 0, P.prototype.id = void 0, P.prototype.md5 = void 0, P.prototype.name = void 0, P.prototype.storageName = void 0;
  var y = /*#__PURE__*/function () {
    function y() {
      _classCallCheck(this, y);
    }
    return _createClass(y, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new y(), e.hasOwnProperty("conversionFileInfoId") && (t.conversionFileInfoId = m.convertToType(e.conversionFileInfoId, "String")), e.hasOwnProperty("creationTime") && (t.creationTime = m.convertToType(e.creationTime, "Date")), e.hasOwnProperty("creatorId") && (t.creatorId = m.convertToType(e.creatorId, "String")), e.hasOwnProperty("deleterId") && (t.deleterId = m.convertToType(e.deleterId, "String")), e.hasOwnProperty("deletionTime") && (t.deletionTime = m.convertToType(e.deletionTime, "Date")), e.hasOwnProperty("fileInfoId") && (t.fileInfoId = m.convertToType(e.fileInfoId, "String")), e.hasOwnProperty("id") && (t.id = m.convertToType(e.id, "String")), e.hasOwnProperty("isDeleted") && (t.isDeleted = m.convertToType(e.isDeleted, "Boolean")), e.hasOwnProperty("lastModificationTime") && (t.lastModificationTime = m.convertToType(e.lastModificationTime, "Date")), e.hasOwnProperty("lastModifierId") && (t.lastModifierId = m.convertToType(e.lastModifierId, "String")), e.hasOwnProperty("tenantId") && (t.tenantId = m.convertToType(e.tenantId, "String"))), t;
      }
    }]);
  }();
  y.prototype.conversionFileInfoId = void 0, y.prototype.creationTime = void 0, y.prototype.creatorId = void 0, y.prototype.deleterId = void 0, y.prototype.deletionTime = void 0, y.prototype.fileInfoId = void 0, y.prototype.id = void 0, y.prototype.isDeleted = void 0, y.prototype.lastModificationTime = void 0, y.prototype.lastModifierId = void 0, y.prototype.tenantId = void 0;
  var j = /*#__PURE__*/function () {
    function j() {
      _classCallCheck(this, j);
    }
    return _createClass(j, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new j(), e.hasOwnProperty("conversionFileInfoId") && (t.conversionFileInfoId = m.convertToType(e.conversionFileInfoId, "String")), e.hasOwnProperty("fileInfoId") && (t.fileInfoId = m.convertToType(e.fileInfoId, "String")), e.hasOwnProperty("id") && (t.id = m.convertToType(e.id, "String"))), t;
      }
    }]);
  }();
  j.prototype.conversionFileInfoId = void 0, j.prototype.fileInfoId = void 0, j.prototype.id = void 0;
  var f = /*#__PURE__*/function () {
    function f() {
      _classCallCheck(this, f);
    }
    return _createClass(f, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new f(), e.hasOwnProperty("creationTime") && (t.creationTime = m.convertToType(e.creationTime, "Date")), e.hasOwnProperty("creatorId") && (t.creatorId = m.convertToType(e.creatorId, "String")), e.hasOwnProperty("deleterId") && (t.deleterId = m.convertToType(e.deleterId, "String")), e.hasOwnProperty("deletionTime") && (t.deletionTime = m.convertToType(e.deletionTime, "Date")), e.hasOwnProperty("flag") && (t.flag = m.convertToType(e.flag, "Number")), e.hasOwnProperty("folderId") && (t.folderId = m.convertToType(e.folderId, "String")), e.hasOwnProperty("id") && (t.id = m.convertToType(e.id, "String")), e.hasOwnProperty("isDeleted") && (t.isDeleted = m.convertToType(e.isDeleted, "Boolean")), e.hasOwnProperty("lastModificationTime") && (t.lastModificationTime = m.convertToType(e.lastModificationTime, "Date")), e.hasOwnProperty("lastModifierId") && (t.lastModifierId = m.convertToType(e.lastModifierId, "String")), e.hasOwnProperty("md5") && (t.md5 = m.convertToType(e.md5, "String")), e.hasOwnProperty("name") && (t.name = m.convertToType(e.name, "String")), e.hasOwnProperty("size") && (t.size = m.convertToType(e.size, "Number")), e.hasOwnProperty("storageName") && (t.storageName = m.convertToType(e.storageName, "String")), e.hasOwnProperty("version") && (t.version = m.convertToType(e.version, "String"))), t;
      }
    }]);
  }();
  f.prototype.creationTime = void 0, f.prototype.creatorId = void 0, f.prototype.deleterId = void 0, f.prototype.deletionTime = void 0, f.prototype.flag = void 0, f.prototype.folderId = void 0, f.prototype.id = void 0, f.prototype.isDeleted = void 0, f.prototype.lastModificationTime = void 0, f.prototype.lastModifierId = void 0, f.prototype.md5 = void 0, f.prototype.name = void 0, f.prototype.size = void 0, f.prototype.storageName = void 0, f.prototype.version = void 0;
  var I = /*#__PURE__*/function () {
    function I() {
      _classCallCheck(this, I);
    }
    return _createClass(I, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new I(), e.hasOwnProperty("canRead") && (t.canRead = m.convertToType(e.canRead, "Boolean")), e.hasOwnProperty("canSeek") && (t.canSeek = m.convertToType(e.canSeek, "Boolean")), e.hasOwnProperty("canTimeout") && (t.canTimeout = m.convertToType(e.canTimeout, "Boolean")), e.hasOwnProperty("canWrite") && (t.canWrite = m.convertToType(e.canWrite, "Boolean")), e.hasOwnProperty("length") && (t.length = m.convertToType(e.length, "Number")), e.hasOwnProperty("position") && (t.position = m.convertToType(e.position, "Number")), e.hasOwnProperty("readTimeout") && (t.readTimeout = m.convertToType(e.readTimeout, "Number")), e.hasOwnProperty("writeTimeout") && (t.writeTimeout = m.convertToType(e.writeTimeout, "Number"))), t;
      }
    }]);
  }();
  I.prototype.canRead = void 0, I.prototype.canSeek = void 0, I.prototype.canTimeout = void 0, I.prototype.canWrite = void 0, I.prototype.length = void 0, I.prototype.position = void 0, I.prototype.readTimeout = void 0, I.prototype.writeTimeout = void 0;
  var N = /*#__PURE__*/function () {
    function N() {
      _classCallCheck(this, N);
    }
    return _createClass(N, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new N(), e.hasOwnProperty("content") && (t.content = I.constructFromObject(e.content)), e.hasOwnProperty("contentType") && (t.contentType = m.convertToType(e.contentType, "String")), e.hasOwnProperty("name") && (t.name = m.convertToType(e.name, "String"))), t;
      }
    }]);
  }();
  N.prototype.content = void 0, N.prototype.contentType = void 0, N.prototype.name = void 0;
  var h = /*#__PURE__*/function () {
    function h() {
      _classCallCheck(this, h);
    }
    return _createClass(h, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new h(), e.hasOwnProperty("creationTime") && (t.creationTime = m.convertToType(e.creationTime, "Date")), e.hasOwnProperty("creatorId") && (t.creatorId = m.convertToType(e.creatorId, "String")), e.hasOwnProperty("deleterId") && (t.deleterId = m.convertToType(e.deleterId, "String")), e.hasOwnProperty("deletionTime") && (t.deletionTime = m.convertToType(e.deletionTime, "Date")), e.hasOwnProperty("flag") && (t.flag = m.convertToType(e.flag, "Number")), e.hasOwnProperty("fullName") && (t.fullName = m.convertToType(e.fullName, "String")), e.hasOwnProperty("id") && (t.id = m.convertToType(e.id, "String")), e.hasOwnProperty("isDeleted") && (t.isDeleted = m.convertToType(e.isDeleted, "Boolean")), e.hasOwnProperty("lastModificationTime") && (t.lastModificationTime = m.convertToType(e.lastModificationTime, "Date")), e.hasOwnProperty("lastModifierId") && (t.lastModifierId = m.convertToType(e.lastModifierId, "String")), e.hasOwnProperty("name") && (t.name = m.convertToType(e.name, "String")), e.hasOwnProperty("parentId") && (t.parentId = m.convertToType(e.parentId, "String")), e.hasOwnProperty("seqNo") && (t.seqNo = m.convertToType(e.seqNo, "Number"))), t;
      }
    }]);
  }();
  h.prototype.creationTime = void 0, h.prototype.creatorId = void 0, h.prototype.deleterId = void 0, h.prototype.deletionTime = void 0, h.prototype.flag = void 0, h.prototype.fullName = void 0, h.prototype.id = void 0, h.prototype.isDeleted = void 0, h.prototype.lastModificationTime = void 0, h.prototype.lastModifierId = void 0, h.prototype.name = void 0, h.prototype.parentId = void 0, h.prototype.seqNo = void 0;
  var v = /*#__PURE__*/function () {
    function v() {
      _classCallCheck(this, v);
    }
    return _createClass(v, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new v(), e.hasOwnProperty("children") && (t.children = m.convertToType(e.children, [v])), e.hasOwnProperty("fullName") && (t.fullName = m.convertToType(e.fullName, "String")), e.hasOwnProperty("id") && (t.id = m.convertToType(e.id, "String")), e.hasOwnProperty("name") && (t.name = m.convertToType(e.name, "String")), e.hasOwnProperty("seqNo") && (t.seqNo = m.convertToType(e.seqNo, "Number"))), t;
      }
    }]);
  }();
  v.prototype.children = void 0, v.prototype.fullName = void 0, v.prototype.id = void 0, v.prototype.name = void 0, v.prototype.seqNo = void 0;
  var q = /*#__PURE__*/function () {
    function q(e, t, n) {
      _classCallCheck(this, q);
      this.fileName = e, this.folderId = t, this.md5 = n;
    }
    return _createClass(q, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new q(), e.hasOwnProperty("authLevel") && (t.authLevel = m.convertToType(e.authLevel, "Number")), e.hasOwnProperty("fileName") && (t.fileName = m.convertToType(e.fileName, "String")), e.hasOwnProperty("folderId") && (t.folderId = m.convertToType(e.folderId, "String")), e.hasOwnProperty("md5") && (t.md5 = m.convertToType(e.md5, "String"))), t;
      }
    }]);
  }();
  q.prototype.authLevel = void 0, q.prototype.fileName = void 0, q.prototype.folderId = void 0, q.prototype.md5 = void 0;
  var C = /*#__PURE__*/function () {
    function C() {
      _classCallCheck(this, C);
    }
    return _createClass(C, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new C(), e.hasOwnProperty("content") && (t.content = m.convertToType(e.content, "Blob")), e.hasOwnProperty("id") && (t.id = m.convertToType(e.id, "String")), e.hasOwnProperty("md5") && (t.md5 = m.convertToType(e.md5, "String")), e.hasOwnProperty("name") && (t.name = m.convertToType(e.name, "String")), e.hasOwnProperty("size") && (t.size = m.convertToType(e.size, "Number"))), t;
      }
    }]);
  }();
  C.prototype.content = void 0, C.prototype.id = void 0, C.prototype.md5 = void 0, C.prototype.name = void 0, C.prototype.size = void 0;
  var W = /*#__PURE__*/function () {
    function W() {
      _classCallCheck(this, W);
    }
    return _createClass(W, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new W(), e.hasOwnProperty("id") && (t.id = m.convertToType(e.id, "String")), e.hasOwnProperty("md5") && (t.md5 = m.convertToType(e.md5, "String")), e.hasOwnProperty("name") && (t.name = m.convertToType(e.name, "String")), e.hasOwnProperty("size") && (t.size = m.convertToType(e.size, "Number"))), t;
      }
    }]);
  }();
  W.prototype.id = void 0, W.prototype.md5 = void 0, W.prototype.name = void 0, W.prototype.size = void 0;
  var E = /*#__PURE__*/function () {
    function E() {
      _classCallCheck(this, E);
    }
    return _createClass(E, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new E(), e.hasOwnProperty("content") && (t.content = I.constructFromObject(e.content)), e.hasOwnProperty("id") && (t.id = m.convertToType(e.id, "String")), e.hasOwnProperty("md5") && (t.md5 = m.convertToType(e.md5, "String")), e.hasOwnProperty("name") && (t.name = m.convertToType(e.name, "String")), e.hasOwnProperty("size") && (t.size = m.convertToType(e.size, "Number"))), t;
      }
    }]);
  }();
  E.prototype.content = void 0, E.prototype.id = void 0, E.prototype.md5 = void 0, E.prototype.name = void 0, E.prototype.size = void 0;
  var B = /*#__PURE__*/function () {
    function B() {
      _classCallCheck(this, B);
    }
    return _createClass(B, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new B(), e.hasOwnProperty("content") && (t.content = m.convertToType(e.content, "Blob")), e.hasOwnProperty("contentType") && (t.contentType = m.convertToType(e.contentType, "String")), e.hasOwnProperty("name") && (t.name = m.convertToType(e.name, "String"))), t;
      }
    }]);
  }();
  B.prototype.content = void 0, B.prototype.contentType = void 0, B.prototype.name = void 0;
  var d = /*#__PURE__*/function () {
    function d() {
      _classCallCheck(this, d);
    }
    return _createClass(d, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new d(), e.hasOwnProperty("creationTime") && (t.creationTime = m.convertToType(e.creationTime, "Date")), e.hasOwnProperty("creatorId") && (t.creatorId = m.convertToType(e.creatorId, "String")), e.hasOwnProperty("deleterId") && (t.deleterId = m.convertToType(e.deleterId, "String")), e.hasOwnProperty("deletionTime") && (t.deletionTime = m.convertToType(e.deletionTime, "Date")), e.hasOwnProperty("flag") && (t.flag = m.convertToType(e.flag, "Number")), e.hasOwnProperty("id") && (t.id = m.convertToType(e.id, "String")), e.hasOwnProperty("isDeleted") && (t.isDeleted = m.convertToType(e.isDeleted, "Boolean")), e.hasOwnProperty("lastModificationTime") && (t.lastModificationTime = m.convertToType(e.lastModificationTime, "Date")), e.hasOwnProperty("lastModifierId") && (t.lastModifierId = m.convertToType(e.lastModifierId, "String")), e.hasOwnProperty("md5") && (t.md5 = m.convertToType(e.md5, "String")), e.hasOwnProperty("name") && (t.name = m.convertToType(e.name, "String")), e.hasOwnProperty("size") && (t.size = m.convertToType(e.size, "Number")), e.hasOwnProperty("storageName") && (t.storageName = m.convertToType(e.storageName, "String"))), t;
      }
    }]);
  }();
  d.prototype.creationTime = void 0, d.prototype.creatorId = void 0, d.prototype.deleterId = void 0, d.prototype.deletionTime = void 0, d.prototype.flag = void 0, d.prototype.id = void 0, d.prototype.isDeleted = void 0, d.prototype.lastModificationTime = void 0, d.prototype.lastModifierId = void 0, d.prototype.md5 = void 0, d.prototype.name = void 0, d.prototype.size = void 0, d.prototype.storageName = void 0;
  var A = /*#__PURE__*/function () {
    function A() {
      _classCallCheck(this, A);
    }
    return _createClass(A, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new A(), e.hasOwnProperty("content") && (t.content = I.constructFromObject(e.content)), e.hasOwnProperty("contentType") && (t.contentType = m.convertToType(e.contentType, "String")), e.hasOwnProperty("name") && (t.name = m.convertToType(e.name, "String"))), t;
      }
    }]);
  }();
  A.prototype.content = void 0, A.prototype.contentType = void 0, A.prototype.name = void 0;
  var Z = /*#__PURE__*/function () {
    function Z(e) {
      _classCallCheck(this, Z);
      this.name = e;
    }
    return _createClass(Z, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new Z(), e.hasOwnProperty("name") && (t.name = m.convertToType(e.name, "String"))), t;
      }
    }]);
  }();
  Z.prototype.name = void 0;
  var _ = /*#__PURE__*/function () {
    function _() {
      _classCallCheck(this, _);
    }
    return _createClass(_, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new _(), e.hasOwnProperty("seqNo") && (t.seqNo = m.convertToType(e.seqNo, "Number"))), t;
      }
    }]);
  }();
  _.prototype.seqNo = void 0;
  var D = /*#__PURE__*/function () {
    function D() {
      _classCallCheck(this, D);
    }
    return _createClass(D, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new D(), e.hasOwnProperty("chunk") && (t.chunk = m.convertToType(e.chunk, "Number")), e.hasOwnProperty("fileUrl") && (t.fileUrl = m.convertToType(e.fileUrl, "String"))), t;
      }
    }]);
  }();
  D.prototype.chunk = void 0, D.prototype.fileUrl = void 0;
  var F = /*#__PURE__*/function () {
    function F() {
      _classCallCheck(this, F);
    }
    return _createClass(F, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new F(), e.hasOwnProperty("fileName") && (t.fileName = m.convertToType(e.fileName, "String")), e.hasOwnProperty("id") && (t.id = m.convertToType(e.id, "String"))), t;
      }
    }]);
  }();
  F.prototype.fileName = void 0, F.prototype.id = void 0;
  var H = /*#__PURE__*/function () {
    function H() {
      _classCallCheck(this, H);
    }
    return _createClass(H, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new H(), e.hasOwnProperty("error") && (t.error = m.convertToType(e.error, "String")), e.hasOwnProperty("process") && (t.process = m.convertToType(e.process, "Number")), e.hasOwnProperty("success") && (t.success = m.convertToType(e.success, "Boolean")), e.hasOwnProperty("uploadResults") && (t.uploadResults = m.convertToType(e.uploadResults, [F]))), t;
      }
    }]);
  }();
  H.prototype.error = void 0, H.prototype.process = void 0, H.prototype.success = void 0, H.prototype.uploadResults = void 0;
  var ee = /*#__PURE__*/function () {
    function ee() {
      _classCallCheck(this, ee);
    }
    return _createClass(ee, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new ee(), e.hasOwnProperty("files") && (t.files = m.convertToType(e.files, ["Blob"]))), t;
      }
    }]);
  }();
  ee.prototype.files = void 0;
  var te = /*#__PURE__*/function () {
    function te() {
      _classCallCheck(this, te);
    }
    return _createClass(te, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new te(), e.hasOwnProperty("files") && (t.files = m.convertToType(e.files, ["Blob"]))), t;
      }
    }]);
  }();
  te.prototype.files = void 0;
  var k = /*#__PURE__*/function () {
    function k() {
      _classCallCheck(this, k);
    }
    return _createClass(k, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new k(), e.hasOwnProperty("items") && (t.items = m.convertToType(e.items, [P])), e.hasOwnProperty("totalCount") && (t.totalCount = m.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  k.prototype.items = void 0, k.prototype.totalCount = void 0;
  var ne = /*#__PURE__*/function () {
    function ne() {
      _classCallCheck(this, ne);
    }
    return _createClass(ne, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new ne(), e.hasOwnProperty("file") && (t.file = m.convertToType(e.file, "Blob"))), t;
      }
    }]);
  }();
  ne.prototype.file = void 0;
  var ie = /*#__PURE__*/function () {
    function ie() {
      _classCallCheck(this, ie);
    }
    return _createClass(ie, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new ie(), e.hasOwnProperty("file") && (t.file = m.convertToType(e.file, "Blob"))), t;
      }
    }]);
  }();
  ie.prototype.file = void 0;
  var R = /*#__PURE__*/function () {
    function R() {
      _classCallCheck(this, R);
    }
    return _createClass(R, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new R(), e.hasOwnProperty("items") && (t.items = m.convertToType(e.items, [y])), e.hasOwnProperty("totalCount") && (t.totalCount = m.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  R.prototype.items = void 0, R.prototype.totalCount = void 0;
  var z = /*#__PURE__*/function () {
    function z() {
      _classCallCheck(this, z);
    }
    return _createClass(z, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new z(), e.hasOwnProperty("items") && (t.items = m.convertToType(e.items, [f])), e.hasOwnProperty("totalCount") && (t.totalCount = m.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  z.prototype.items = void 0, z.prototype.totalCount = void 0;
  var V = /*#__PURE__*/function () {
    function V() {
      _classCallCheck(this, V);
    }
    return _createClass(V, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new V(), e.hasOwnProperty("items") && (t.items = m.convertToType(e.items, [h])), e.hasOwnProperty("totalCount") && (t.totalCount = m.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  V.prototype.items = void 0, V.prototype.totalCount = void 0;
  var K = /*#__PURE__*/function () {
    function K() {
      _classCallCheck(this, K);
    }
    return _createClass(K, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new K(), e.hasOwnProperty("items") && (t.items = m.convertToType(e.items, [d])), e.hasOwnProperty("totalCount") && (t.totalCount = m.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  K.prototype.items = void 0, K.prototype.totalCount = void 0;
  var re = /*#__PURE__*/function () {
    function re() {
      _classCallCheck(this, re);
    }
    return _createClass(re, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new re(), e.hasOwnProperty("files") && (t.files = m.convertToType(e.files, ["Blob"]))), t;
      }
    }]);
  }();
  re.prototype.files = void 0;
  var ae = /*#__PURE__*/function () {
    function ae() {
      _classCallCheck(this, ae);
    }
    return _createClass(ae, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new ae(), e.hasOwnProperty("files") && (t.files = m.convertToType(e.files, ["Blob"]))), t;
      }
    }]);
  }();
  ae.prototype.files = void 0;
  var le = /*#__PURE__*/function () {
    function le() {
      _classCallCheck(this, le);
    }
    return _createClass(le, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new le(), e.hasOwnProperty("file") && (t.file = m.convertToType(e.file, "Blob"))), t;
      }
    }]);
  }();
  le.prototype.file = void 0;
  var pe = /*#__PURE__*/function () {
    function pe(e) {
      _classCallCheck(this, pe);
      this.apiClient = e || m.GetInstance("file-management", "FileApi");
    }
    return _createClass(pe, [{
      key: "callDeleteWithHttpInfo",
      value: function callDeleteWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling callDelete");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = null;
        return this.apiClient.callApi("/api/file-management/files/{id}", "DELETE", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "callDelete",
      value: function callDelete(e) {
        return this.callDeleteWithHttpInfo(e);
      }
    }, {
      key: "changeFileContentWithHttpInfo",
      value: function changeFileContentWithHttpInfo(e, t) {
        t = t || {};
        var n = t.body;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling changeFileContent");
        var i = {
            id: e
          },
          r = {},
          a = t.header || {},
          l = {},
          o = ["oauth2"],
          s = ["application/_*+json", "application/json", "text/json"],
          p = ["application/json", "text/json", "text/plain"],
          c = t.returnType || null;
        return this.apiClient.callApi("/api/file-management/files/{id}/content", "PUT", i, r, a, l, n, o, s, p, c);
      }
    }, {
      key: "changeFileContent",
      value: function changeFileContent(e, t) {
        return this.changeFileContentWithHttpInfo(e, t);
      }
    }, {
      key: "changeFileNameWithHttpInfo",
      value: function changeFileNameWithHttpInfo(e, t) {
        t = t || {};
        var n = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling changeFileName");
        var i = {
            id: e
          },
          r = {
            newFileName: t.newFileName
          },
          a = t.header || {},
          l = {},
          o = ["oauth2"],
          s = [],
          p = ["application/json", "text/json", "text/plain"],
          c = t.returnType || null;
        return this.apiClient.callApi("/api/file-management/files/{id}/name", "PUT", i, r, a, l, n, o, s, p, c);
      }
    }, {
      key: "changeFileName",
      value: function changeFileName(e, t) {
        return this.changeFileNameWithHttpInfo(e, t);
      }
    }, {
      key: "chunkUploadWithHttpInfo",
      value: function chunkUploadWithHttpInfo(e, t, n) {
        n = n || {};
        var i = null;
        if (e == null) throw new Error("Missing the required parameter 'md5' when calling chunkUpload");
        if (t == null) throw new Error("Missing the required parameter 'chunk' when calling chunkUpload");
        var r = {
            md5: e,
            chunk: t
          },
          a = {},
          l = n.header || {},
          o = {
            file: n.file
          },
          s = ["oauth2"],
          p = ["multipart/form-data"],
          c = ["application/json", "text/json", "text/plain"],
          $ = D;
        return this.apiClient.callApi("/api/file-management/files/chunk-upload/{md5}/{chunk}", "POST", r, a, l, o, i, s, p, c, $);
      }
    }, {
      key: "chunkUpload",
      value: function chunkUpload(e, t, n) {
        return this.chunkUploadWithHttpInfo(e, t, n);
      }
    }, {
      key: "clearUnUsedFilesWithHttpInfo",
      value: function clearUnUsedFilesWithHttpInfo() {
        var e = null,
          t = {},
          n = {},
          i = {},
          r = {},
          a = ["oauth2"],
          l = [],
          o = ["application/json", "text/json", "text/plain"],
          s = null;
        return this.apiClient.callApi("/api/file-management/files/clear-un-used-files", "DELETE", t, n, i, r, e, a, l, o, s);
      }
    }, {
      key: "clearUnUsedFiles",
      value: function clearUnUsedFiles() {
        return this.clearUnUsedFilesWithHttpInfo();
      }
    }, {
      key: "createWithHttpInfo",
      value: function createWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          n = {},
          i = {},
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = ["application/_*+json", "application/json", "text/json"],
          s = ["application/json", "text/json", "text/plain"],
          p = f;
        return this.apiClient.callApi("/api/file-management/files", "POST", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "create",
      value: function create(e) {
        return this.createWithHttpInfo(e);
      }
    }, {
      key: "deleteManyWithHttpInfo",
      value: function deleteManyWithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {
            ids: this.apiClient.buildCollectionParam(e.ids, "multi")
          },
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = e.returnType || null;
        return this.apiClient.callApi("/api/file-management/files/many", "DELETE", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "deleteMany",
      value: function deleteMany(e) {
        return this.deleteManyWithHttpInfo(e);
      }
    }, {
      key: "deleteVersionWithHttpInfo",
      value: function deleteVersionWithHttpInfo(e, t) {
        t = t || {};
        var n = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling deleteVersion");
        var i = {
            id: e
          },
          r = {
            version: t.version
          },
          a = t.header || {},
          l = {},
          o = ["oauth2"],
          s = [],
          p = ["application/json", "text/json", "text/plain"],
          c = t.returnType || null;
        return this.apiClient.callApi("/api/file-management/files/{id}/version", "DELETE", i, r, a, l, n, o, s, p, c);
      }
    }, {
      key: "deleteVersion",
      value: function deleteVersion(e, t) {
        return this.deleteVersionWithHttpInfo(e, t);
      }
    }, {
      key: "downloadWithHttpInfo",
      value: function downloadWithHttpInfo(e, t) {
        t = t || {};
        var n = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling download");
        var i = {
            id: e
          },
          r = {
            version: t.version
          },
          a = t.header || {},
          l = {},
          o = ["oauth2"],
          s = [],
          p = ["application/json", "text/json", "text/plain"],
          c = "Blob";
        return this.apiClient.callApi("/api/file-management/files/{id}/download", "GET", i, r, a, l, n, o, s, p, c);
      }
    }, {
      key: "download",
      value: function download(e, t) {
        return this.downloadWithHttpInfo(e, t);
      }
    }, {
      key: "downloadPublicWithHttpInfo",
      value: function downloadPublicWithHttpInfo(e, t) {
        t = t || {};
        var n = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling downloadPublic");
        var i = {
            id: e
          },
          r = {
            version: t.version
          },
          a = t.header || {},
          l = {},
          o = ["oauth2"],
          s = [],
          p = ["application/json", "text/json", "text/plain"],
          c = "Blob";
        return this.apiClient.callApi("/api/file-management/files/public/{id}/download", "GET", i, r, a, l, n, o, s, p, c);
      }
    }, {
      key: "downloadPublic",
      value: function downloadPublic(e, t) {
        return this.downloadPublicWithHttpInfo(e, t);
      }
    }, {
      key: "downloadVedioWithHttpInfo",
      value: function downloadVedioWithHttpInfo(e, t) {
        t = t || {};
        var n = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling downloadVedio");
        var i = {
            id: e
          },
          r = {
            version: t.version
          },
          a = t.header || {},
          l = {},
          o = ["oauth2"],
          s = [],
          p = ["application/json", "text/json", "text/plain"],
          c = "Blob";
        return this.apiClient.callApi("/api/file-management/files/{id}/play-vedio", "GET", i, r, a, l, n, o, s, p, c);
      }
    }, {
      key: "downloadVedio",
      value: function downloadVedio(e, t) {
        return this.downloadVedioWithHttpInfo(e, t);
      }
    }, {
      key: "getWithHttpInfo",
      value: function getWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling get");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = f;
        return this.apiClient.callApi("/api/file-management/files/{id}", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "get",
      value: function get(e) {
        return this.getWithHttpInfo(e);
      }
    }, {
      key: "getFileContentWithHttpInfo",
      value: function getFileContentWithHttpInfo(e, t) {
        t = t || {};
        var n = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getFileContent");
        var i = {
            id: e
          },
          r = {
            version: t.version,
            authLevel: t.authLevel
          },
          a = t.header || {},
          l = {},
          o = ["oauth2"],
          s = [],
          p = ["application/json", "text/json", "text/plain"],
          c = S;
        return this.apiClient.callApi("/api/file-management/files/{id}/content", "GET", i, r, a, l, n, o, s, p, c);
      }
    }, {
      key: "getFileContent",
      value: function getFileContent(e, t) {
        return this.getFileContentWithHttpInfo(e, t);
      }
    }, {
      key: "getFileInfoByFolderIdAndMd5WithHttpInfo",
      value: function getFileInfoByFolderIdAndMd5WithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {
            folderId: e.folderId,
            md5: e.md5
          },
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = f;
        return this.apiClient.callApi("/api/file-management/files/get-file-by-folder-md5", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getFileInfoByFolderIdAndMd5",
      value: function getFileInfoByFolderIdAndMd5(e) {
        return this.getFileInfoByFolderIdAndMd5WithHttpInfo(e);
      }
    }, {
      key: "getFileInfoListByFolderIdWithHttpInfo",
      value: function getFileInfoListByFolderIdWithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {
            folderId: e.folderId
          },
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = [f];
        return this.apiClient.callApi("/api/file-management/files/get-folder-files", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getFileInfoListByFolderId",
      value: function getFileInfoListByFolderId(e) {
        return this.getFileInfoListByFolderIdWithHttpInfo(e);
      }
    }, {
      key: "getFileInfoVersionWithHttpInfo",
      value: function getFileInfoVersionWithHttpInfo(e, t) {
        t = t || {};
        var n = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getFileInfoVersion");
        var i = {
            id: e
          },
          r = {
            version: t.version
          },
          a = t.header || {},
          l = {},
          o = ["oauth2"],
          s = [],
          p = ["application/json", "text/json", "text/plain"],
          c = f;
        return this.apiClient.callApi("/api/file-management/files/{id}/version", "GET", i, r, a, l, n, o, s, p, c);
      }
    }, {
      key: "getFileInfoVersion",
      value: function getFileInfoVersion(e, t) {
        return this.getFileInfoVersionWithHttpInfo(e, t);
      }
    }, {
      key: "getFileInfoVersionListAynscWithHttpInfo",
      value: function getFileInfoVersionListAynscWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getFileInfoVersionListAynsc");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = [f];
        return this.apiClient.callApi("/api/file-management/files/{id}/versions", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getFileInfoVersionListAynsc",
      value: function getFileInfoVersionListAynsc(e) {
        return this.getFileInfoVersionListAynscWithHttpInfo(e);
      }
    }, {
      key: "getFileStreamWithHttpInfo",
      value: function getFileStreamWithHttpInfo(e, t) {
        t = t || {};
        var n = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getFileStream");
        var i = {
            id: e
          },
          r = {
            version: t.version,
            authLevel: t.authLevel
          },
          a = t.header || {},
          l = {},
          o = ["oauth2"],
          s = [],
          p = ["application/json", "text/json", "text/plain"],
          c = N;
        return this.apiClient.callApi("/api/file-management/files/{id}/stream-content", "GET", i, r, a, l, n, o, s, p, c);
      }
    }, {
      key: "getFileStream",
      value: function getFileStream(e, t) {
        return this.getFileStreamWithHttpInfo(e, t);
      }
    }, {
      key: "getImageWithHttpInfo",
      value: function getImageWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getImage");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = "Blob";
        return this.apiClient.callApi("/api/file-management/files/image/{id}", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getImage",
      value: function getImage(e) {
        return this.getImageWithHttpInfo(e);
      }
    }, {
      key: "getImageBaseStringWithHttpInfo",
      value: function getImageBaseStringWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getImageBaseString");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = null;
        return this.apiClient.callApi("/api/file-management/files/image/base64/{id}", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getImageBaseString",
      value: function getImageBaseString(e) {
        return this.getImageBaseStringWithHttpInfo(e);
      }
    }, {
      key: "getListWithHttpInfo",
      value: function getListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount,
            Sorting: e.sorting
          },
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = z;
        return this.apiClient.callApi("/api/file-management/files", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getList",
      value: function getList(e) {
        return this.getListWithHttpInfo(e);
      }
    }, {
      key: "getMaxChunkWithHttpInfo",
      value: function getMaxChunkWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'md5' when calling getMaxChunk");
        var n = {
            md5: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = "Number";
        return this.apiClient.callApi("/api/file-management/files/get-chunk/{md5}", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getMaxChunk",
      value: function getMaxChunk(e) {
        return this.getMaxChunkWithHttpInfo(e);
      }
    }, {
      key: "getPublicFileContentWithHttpInfo",
      value: function getPublicFileContentWithHttpInfo(e, t) {
        t = t || {};
        var n = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getPublicFileContent");
        var i = {
            id: e
          },
          r = {
            version: t.version
          },
          a = t.header || {},
          l = {},
          o = ["oauth2"],
          s = [],
          p = ["application/json", "text/json", "text/plain"],
          c = S;
        return this.apiClient.callApi("/api/file-management/files/public/{id}/content", "GET", i, r, a, l, n, o, s, p, c);
      }
    }, {
      key: "getPublicFileContent",
      value: function getPublicFileContent(e, t) {
        return this.getPublicFileContentWithHttpInfo(e, t);
      }
    }, {
      key: "getPublicFileStreamWithHttpInfo",
      value: function getPublicFileStreamWithHttpInfo(e, t) {
        t = t || {};
        var n = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getPublicFileStream");
        var i = {
            id: e
          },
          r = {
            version: t.version
          },
          a = t.header || {},
          l = {},
          o = ["oauth2"],
          s = [],
          p = ["application/json", "text/json", "text/plain"],
          c = N;
        return this.apiClient.callApi("/api/file-management/files/public/{id}/stream-content", "GET", i, r, a, l, n, o, s, p, c);
      }
    }, {
      key: "getPublicFileStream",
      value: function getPublicFileStream(e, t) {
        return this.getPublicFileStreamWithHttpInfo(e, t);
      }
    }, {
      key: "getPublicImageWithHttpInfo",
      value: function getPublicImageWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getPublicImage");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = "Blob";
        return this.apiClient.callApi("/api/file-management/files/public/image/{id}", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getPublicImage",
      value: function getPublicImage(e) {
        return this.getPublicImageWithHttpInfo(e);
      }
    }, {
      key: "getPublicImageBaseStringWithHttpInfo",
      value: function getPublicImageBaseStringWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getPublicImageBaseString");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = null;
        return this.apiClient.callApi("/api/file-management/files/public/image/base64/{id}", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getPublicImageBaseString",
      value: function getPublicImageBaseString(e) {
        return this.getPublicImageBaseStringWithHttpInfo(e);
      }
    }, {
      key: "getPublicPreviewWithHttpInfo",
      value: function getPublicPreviewWithHttpInfo(e, t) {
        t = t || {};
        var n = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getPublicPreview");
        var i = {
            id: e
          },
          r = {
            contentType: t.contentType
          },
          a = t.header || {},
          l = {},
          o = ["oauth2"],
          s = [],
          p = ["application/json", "text/json", "text/plain"],
          c = t.returnType || null;
        return this.apiClient.callApi("/api/file-management/files/public/preview/{id}", "GET", i, r, a, l, n, o, s, p, c);
      }
    }, {
      key: "getPublicPreview",
      value: function getPublicPreview(e, t) {
        return this.getPublicPreviewWithHttpInfo(e, t);
      }
    }, {
      key: "getUploadProcessWithHttpInfo",
      value: function getUploadProcessWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'key' when calling getUploadProcess");
        var n = {
            key: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = H;
        return this.apiClient.callApi("/api/file-management/files/process/{key}", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getUploadProcess",
      value: function getUploadProcess(e) {
        return this.getUploadProcessWithHttpInfo(e);
      }
    }, {
      key: "insertManyWithHttpInfo",
      value: function insertManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          n = {},
          i = {},
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = ["application/_*+json", "application/json", "text/json"],
          s = ["application/json", "text/json", "text/plain"],
          p = e.returnType || null;
        return this.apiClient.callApi("/api/file-management/files/many", "POST", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "insertMany",
      value: function insertMany(e) {
        return this.insertManyWithHttpInfo(e);
      }
    }, {
      key: "mergeFilesWithHttpInfo",
      value: function mergeFilesWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          n = {},
          i = {},
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = ["application/_*+json", "application/json", "text/json"],
          s = ["application/json", "text/json", "text/plain"],
          p = [F];
        return this.apiClient.callApi("/api/file-management/files/merge-files", "POST", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "mergeFiles",
      value: function mergeFiles(e) {
        return this.mergeFilesWithHttpInfo(e);
      }
    }, {
      key: "updateWithHttpInfo",
      value: function updateWithHttpInfo(e, t) {
        t = t || {};
        var n = t.body;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling update");
        var i = {
            id: e
          },
          r = {},
          a = t.header || {},
          l = {},
          o = ["oauth2"],
          s = ["application/_*+json", "application/json", "text/json"],
          p = ["application/json", "text/json", "text/plain"],
          c = f;
        return this.apiClient.callApi("/api/file-management/files/{id}", "PUT", i, r, a, l, n, o, s, p, c);
      }
    }, {
      key: "update",
      value: function update(e, t) {
        return this.updateWithHttpInfo(e, t);
      }
    }, {
      key: "updateManyWithHttpInfo",
      value: function updateManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          n = {},
          i = {},
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = ["application/_*+json", "application/json", "text/json"],
          s = ["application/json", "text/json", "text/plain"],
          p = e.returnType || null;
        return this.apiClient.callApi("/api/file-management/files/many", "PUT", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "updateMany",
      value: function updateMany(e) {
        return this.updateManyWithHttpInfo(e);
      }
    }, {
      key: "uploadWithHttpInfo",
      value: function uploadWithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {
            folderId: e.folderId,
            version: e.version,
            authLevel: e.authLevel
          },
          r = e.header || {},
          a = {
            files: this.apiClient.buildCollectionParam(e.files, "multi")
          },
          l = ["oauth2"],
          o = ["multipart/form-data"],
          s = ["application/json", "text/json", "text/plain"],
          p = [F];
        return this.apiClient.callApi("/api/file-management/files/upload", "POST", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "upload",
      value: function upload(e) {
        return this.uploadWithHttpInfo(e);
      }
    }, {
      key: "uploadImageWithHttpInfo",
      value: function uploadImageWithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {
            authLevel: e.authLevel
          },
          r = e.header || {},
          a = {
            file: e.file
          },
          l = ["oauth2"],
          o = ["multipart/form-data"],
          s = ["application/json", "text/json", "text/plain"],
          p = F;
        return this.apiClient.callApi("/api/file-management/files/upload/images", "POST", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "uploadImage",
      value: function uploadImage(e) {
        return this.uploadImageWithHttpInfo(e);
      }
    }, {
      key: "upload_0WithHttpInfo",
      value: function upload_0WithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {
            path: e.path,
            version: e.version,
            authLevel: e.authLevel
          },
          r = e.header || {},
          a = {
            files: this.apiClient.buildCollectionParam(e.files, "multi")
          },
          l = ["oauth2"],
          o = ["multipart/form-data"],
          s = ["application/json", "text/json", "text/plain"],
          p = [F];
        return this.apiClient.callApi("/api/file-management/files/uploadfrompath", "POST", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "upload_0",
      value: function upload_0(e) {
        return this.upload_0WithHttpInfo(e);
      }
    }]);
  }();
  G(pe, "Methods", {
    callDelete: {
      method: "DELETE",
      path: "/api/file-management/files/{id}"
    },
    changeFileContent: {
      desc: "更改文件内容",
      method: "PUT",
      path: "/api/file-management/files/{id}/content"
    },
    changeFileName: {
      desc: "更改文件名称",
      method: "PUT",
      path: "/api/file-management/files/{id}/name"
    },
    chunkUpload: {
      desc: "文件分块上传",
      method: "POST",
      path: "/api/file-management/files/chunk-upload/{md5}/{chunk}"
    },
    clearUnUsedFiles: {
      desc: "清除未使用的物理文件",
      method: "DELETE",
      path: "/api/file-management/files/clear-un-used-files"
    },
    create: {
      method: "POST",
      path: "/api/file-management/files"
    },
    deleteMany: {
      method: "DELETE",
      path: "/api/file-management/files/many"
    },
    deleteVersion: {
      desc: "删除指定版本文件",
      method: "DELETE",
      path: "/api/file-management/files/{id}/version"
    },
    download: {
      desc: "下载文件",
      method: "GET",
      path: "/api/file-management/files/{id}/download"
    },
    downloadPublic: {
      desc: "下载文件(公开级别权限)",
      method: "GET",
      path: "/api/file-management/files/public/{id}/download"
    },
    downloadVedio: {
      method: "GET",
      path: "/api/file-management/files/{id}/play-vedio"
    },
    get: {
      method: "GET",
      path: "/api/file-management/files/{id}"
    },
    getFileContent: {
      desc: "获取指定文件内容",
      method: "GET",
      path: "/api/file-management/files/{id}/content"
    },
    getFileInfoByFolderIdAndMd5: {
      desc: "通过文件夹和md5获取文件信息",
      method: "GET",
      path: "/api/file-management/files/get-file-by-folder-md5"
    },
    getFileInfoListByFolderId: {
      desc: "获取指定文件夹下的文件列表",
      method: "GET",
      path: "/api/file-management/files/get-folder-files"
    },
    getFileInfoVersion: {
      desc: "获取指定文件信息版本",
      method: "GET",
      path: "/api/file-management/files/{id}/version"
    },
    getFileInfoVersionListAynsc: {
      method: "GET",
      path: "/api/file-management/files/{id}/versions"
    },
    getFileStream: {
      desc: "获取指定文件流",
      method: "GET",
      path: "/api/file-management/files/{id}/stream-content"
    },
    getImage: {
      desc: "图片显示",
      method: "GET",
      path: "/api/file-management/files/image/{id}"
    },
    getImageBaseString: {
      desc: "图片显示Base64",
      method: "GET",
      path: "/api/file-management/files/image/base64/{id}"
    },
    getList: {
      method: "GET",
      path: "/api/file-management/files"
    },
    getMaxChunk: {
      desc: "获取指定文件的已上传的文件块",
      method: "GET",
      path: "/api/file-management/files/get-chunk/{md5}"
    },
    getPublicFileContent: {
      desc: "获取指定文件内容(公开级别权限)",
      method: "GET",
      path: "/api/file-management/files/public/{id}/content"
    },
    getPublicFileStream: {
      desc: "获取指定文件流(公开级别权限)",
      method: "GET",
      path: "/api/file-management/files/public/{id}/stream-content"
    },
    getPublicImage: {
      desc: "图片显示(公开级别权限)",
      method: "GET",
      path: "/api/file-management/files/public/image/{id}"
    },
    getPublicImageBaseString: {
      desc: "图片显示Base64(公开级别权限)",
      method: "GET",
      path: "/api/file-management/files/public/image/base64/{id}"
    },
    getPublicPreview: {
      desc: "文件预览",
      method: "GET",
      path: "/api/file-management/files/public/preview/{id}"
    },
    getUploadProcess: {
      desc: "查询文件上传进度",
      method: "GET",
      path: "/api/file-management/files/process/{key}"
    },
    insertMany: {
      method: "POST",
      path: "/api/file-management/files/many"
    },
    mergeFiles: {
      desc: "合并文件",
      method: "POST",
      path: "/api/file-management/files/merge-files"
    },
    update: {
      method: "PUT",
      path: "/api/file-management/files/{id}"
    },
    updateMany: {
      method: "PUT",
      path: "/api/file-management/files/many"
    },
    upload: {
      desc: "上传文件",
      method: "POST",
      path: "/api/file-management/files/upload"
    },
    uploadImage: {
      desc: "图片上传",
      method: "POST",
      path: "/api/file-management/files/upload/images"
    },
    upload_0: {
      desc: "上传文件",
      method: "POST",
      path: "/api/file-management/files/uploadfrompath"
    }
  });
  var me = /*#__PURE__*/function () {
    function me(e) {
      _classCallCheck(this, me);
      this.apiClient = e || m.GetInstance("file-management", "FileConvertRecordApi");
    }
    return _createClass(me, [{
      key: "callDeleteWithHttpInfo",
      value: function callDeleteWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling callDelete");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = null;
        return this.apiClient.callApi("/api/file-management/file-convert-records/{id}", "DELETE", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "callDelete",
      value: function callDelete(e) {
        return this.callDeleteWithHttpInfo(e);
      }
    }, {
      key: "createWithHttpInfo",
      value: function createWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          n = {},
          i = {},
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = ["application/_*+json", "application/json", "text/json"],
          s = ["application/json", "text/json", "text/plain"],
          p = y;
        return this.apiClient.callApi("/api/file-management/file-convert-records", "POST", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "create",
      value: function create(e) {
        return this.createWithHttpInfo(e);
      }
    }, {
      key: "deleteManyWithHttpInfo",
      value: function deleteManyWithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {
            ids: this.apiClient.buildCollectionParam(e.ids, "multi")
          },
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = e.returnType || null;
        return this.apiClient.callApi("/api/file-management/file-convert-records/many", "DELETE", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "deleteMany",
      value: function deleteMany(e) {
        return this.deleteManyWithHttpInfo(e);
      }
    }, {
      key: "getWithHttpInfo",
      value: function getWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling get");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = y;
        return this.apiClient.callApi("/api/file-management/file-convert-records/{id}", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "get",
      value: function get(e) {
        return this.getWithHttpInfo(e);
      }
    }, {
      key: "getListWithHttpInfo",
      value: function getListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount,
            Sorting: e.sorting
          },
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = R;
        return this.apiClient.callApi("/api/file-management/file-convert-records", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getList",
      value: function getList(e) {
        return this.getListWithHttpInfo(e);
      }
    }, {
      key: "getPageListWithHttpInfo",
      value: function getPageListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {
            Sorting: e.sorting,
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount
          },
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = k;
        return this.apiClient.callApi("/api/file-management/file-convert-records/page-list", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getPageList",
      value: function getPageList(e) {
        return this.getPageListWithHttpInfo(e);
      }
    }, {
      key: "insertManyWithHttpInfo",
      value: function insertManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          n = {},
          i = {},
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = ["application/_*+json", "application/json", "text/json"],
          s = ["application/json", "text/json", "text/plain"],
          p = e.returnType || null;
        return this.apiClient.callApi("/api/file-management/file-convert-records/many", "POST", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "insertMany",
      value: function insertMany(e) {
        return this.insertManyWithHttpInfo(e);
      }
    }, {
      key: "updateWithHttpInfo",
      value: function updateWithHttpInfo(e, t) {
        t = t || {};
        var n = t.body;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling update");
        var i = {
            id: e
          },
          r = {},
          a = t.header || {},
          l = {},
          o = ["oauth2"],
          s = ["application/_*+json", "application/json", "text/json"],
          p = ["application/json", "text/json", "text/plain"],
          c = y;
        return this.apiClient.callApi("/api/file-management/file-convert-records/{id}", "PUT", i, r, a, l, n, o, s, p, c);
      }
    }, {
      key: "update",
      value: function update(e, t) {
        return this.updateWithHttpInfo(e, t);
      }
    }, {
      key: "updateManyWithHttpInfo",
      value: function updateManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          n = {},
          i = {},
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = ["application/_*+json", "application/json", "text/json"],
          s = ["application/json", "text/json", "text/plain"],
          p = e.returnType || null;
        return this.apiClient.callApi("/api/file-management/file-convert-records/many", "PUT", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "updateMany",
      value: function updateMany(e) {
        return this.updateManyWithHttpInfo(e);
      }
    }]);
  }();
  G(me, "Methods", {
    callDelete: {
      method: "DELETE",
      path: "/api/file-management/file-convert-records/{id}"
    },
    create: {
      method: "POST",
      path: "/api/file-management/file-convert-records"
    },
    deleteMany: {
      method: "DELETE",
      path: "/api/file-management/file-convert-records/many"
    },
    get: {
      method: "GET",
      path: "/api/file-management/file-convert-records/{id}"
    },
    getList: {
      method: "GET",
      path: "/api/file-management/file-convert-records"
    },
    getPageList: {
      desc: "分页获取文件转换记录",
      method: "GET",
      path: "/api/file-management/file-convert-records/page-list"
    },
    insertMany: {
      method: "POST",
      path: "/api/file-management/file-convert-records/many"
    },
    update: {
      method: "PUT",
      path: "/api/file-management/file-convert-records/{id}"
    },
    updateMany: {
      method: "PUT",
      path: "/api/file-management/file-convert-records/many"
    }
  });
  var ue = /*#__PURE__*/function () {
    function ue(e) {
      _classCallCheck(this, ue);
      this.apiClient = e || m.GetInstance("file-management", "FolderApi");
    }
    return _createClass(ue, [{
      key: "callDeleteWithHttpInfo",
      value: function callDeleteWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling callDelete");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = null;
        return this.apiClient.callApi("/api/file-management/folders/{id}", "DELETE", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "callDelete",
      value: function callDelete(e) {
        return this.callDeleteWithHttpInfo(e);
      }
    }, {
      key: "changeNameWithHttpInfo",
      value: function changeNameWithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {
            id: e.id,
            newName: e.newName
          },
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = h;
        return this.apiClient.callApi("/api/file-management/folders/change-name", "PUT", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "changeName",
      value: function changeName(e) {
        return this.changeNameWithHttpInfo(e);
      }
    }, {
      key: "createWithHttpInfo",
      value: function createWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          n = {},
          i = {},
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = ["application/_*+json", "application/json", "text/json"],
          s = ["application/json", "text/json", "text/plain"],
          p = h;
        return this.apiClient.callApi("/api/file-management/folders", "POST", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "create",
      value: function create(e) {
        return this.createWithHttpInfo(e);
      }
    }, {
      key: "deleteFolderWithHttpInfo",
      value: function deleteFolderWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          n = {},
          i = {},
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = ["application/_*+json", "application/json", "text/json"],
          s = ["application/json", "text/json", "text/plain"],
          p = e.returnType || null;
        return this.apiClient.callApi("/api/file-management/folders/delete", "POST", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "deleteFolder",
      value: function deleteFolder(e) {
        return this.deleteFolderWithHttpInfo(e);
      }
    }, {
      key: "deleteManyWithHttpInfo",
      value: function deleteManyWithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {
            ids: this.apiClient.buildCollectionParam(e.ids, "multi")
          },
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = e.returnType || null;
        return this.apiClient.callApi("/api/file-management/folders/many", "DELETE", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "deleteMany",
      value: function deleteMany(e) {
        return this.deleteManyWithHttpInfo(e);
      }
    }, {
      key: "findChildListWithHttpInfo",
      value: function findChildListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {
            parentId: e.parentId
          },
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = [h];
        return this.apiClient.callApi("/api/file-management/folders/find-child-list", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "findChildList",
      value: function findChildList(e) {
        return this.findChildListWithHttpInfo(e);
      }
    }, {
      key: "findChildrenWithHttpInfo",
      value: function findChildrenWithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {
            id: e.id,
            recursive: e.recursive,
            includeDetails: e.includeDetails
          },
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = [h];
        return this.apiClient.callApi("/api/file-management/folders/children", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "findChildren",
      value: function findChildren(e) {
        return this.findChildrenWithHttpInfo(e);
      }
    }, {
      key: "findChildren_0WithHttpInfo",
      value: function findChildren_0WithHttpInfo(e, t) {
        t = t || {};
        var n = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling findChildren_0");
        var i = {
            id: e
          },
          r = {
            recursive: t.recursive,
            includeDetails: t.includeDetails
          },
          a = t.header || {},
          l = {},
          o = ["oauth2"],
          s = [],
          p = ["application/json", "text/json", "text/plain"],
          c = [h];
        return this.apiClient.callApi("/api/file-management/folders/{id}/children", "GET", i, r, a, l, n, o, s, p, c);
      }
    }, {
      key: "findChildren_0",
      value: function findChildren_0(e, t) {
        return this.findChildren_0WithHttpInfo(e, t);
      }
    }, {
      key: "findParentsWithHttpInfo",
      value: function findParentsWithHttpInfo(e, t) {
        t = t || {};
        var n = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling findParents");
        var i = {
            id: e
          },
          r = {
            includeDetails: t.includeDetails
          },
          a = t.header || {},
          l = {},
          o = ["oauth2"],
          s = [],
          p = ["application/json", "text/json", "text/plain"],
          c = [h];
        return this.apiClient.callApi("/api/file-management/folders/{id}/parents", "GET", i, r, a, l, n, o, s, p, c);
      }
    }, {
      key: "findParents",
      value: function findParents(e, t) {
        return this.findParentsWithHttpInfo(e, t);
      }
    }, {
      key: "findTreeListWithHttpInfo",
      value: function findTreeListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {
            folderName: e.folderName,
            fuzzy: e.fuzzy
          },
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = [v];
        return this.apiClient.callApi("/api/file-management/folders/find-tree-list", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "findTreeList",
      value: function findTreeList(e) {
        return this.findTreeListWithHttpInfo(e);
      }
    }, {
      key: "getWithHttpInfo",
      value: function getWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling get");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = h;
        return this.apiClient.callApi("/api/file-management/folders/{id}", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "get",
      value: function get(e) {
        return this.getWithHttpInfo(e);
      }
    }, {
      key: "getListWithHttpInfo",
      value: function getListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount,
            Sorting: e.sorting
          },
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = V;
        return this.apiClient.callApi("/api/file-management/folders", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getList",
      value: function getList(e) {
        return this.getListWithHttpInfo(e);
      }
    }, {
      key: "getParentTreeWithHttpInfo",
      value: function getParentTreeWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getParentTree");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = v;
        return this.apiClient.callApi("/api/file-management/folders/{id}/parent-tree", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getParentTree",
      value: function getParentTree(e) {
        return this.getParentTreeWithHttpInfo(e);
      }
    }, {
      key: "getPropertyPathWithHttpInfo",
      value: function getPropertyPathWithHttpInfo(e, t) {
        t = t || {};
        var n = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getPropertyPath");
        var i = {
            id: e
          },
          r = {
            propertyName: t.propertyName,
            splitChar: t.splitChar
          },
          a = t.header || {},
          l = {},
          o = ["oauth2"],
          s = [],
          p = ["application/json", "text/json", "text/plain"],
          c = "String";
        return this.apiClient.callApi("/api/file-management/folders/{id}/property-path", "GET", i, r, a, l, n, o, s, p, c);
      }
    }, {
      key: "getPropertyPath",
      value: function getPropertyPath(e, t) {
        return this.getPropertyPathWithHttpInfo(e, t);
      }
    }, {
      key: "getRootListWithHttpInfo",
      value: function getRootListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {
            includeDetails: e.includeDetails
          },
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = [h];
        return this.apiClient.callApi("/api/file-management/folders/roots", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getRootList",
      value: function getRootList(e) {
        return this.getRootListWithHttpInfo(e);
      }
    }, {
      key: "getSubTreesWithHttpInfo",
      value: function getSubTreesWithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {
            id: e.id
          },
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = [v];
        return this.apiClient.callApi("/api/file-management/folders/sub-trees", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getSubTrees",
      value: function getSubTrees(e) {
        return this.getSubTreesWithHttpInfo(e);
      }
    }, {
      key: "getSubTrees_0WithHttpInfo",
      value: function getSubTrees_0WithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getSubTrees_0");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = [v];
        return this.apiClient.callApi("/api/file-management/folders/{id}/sub-trees", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getSubTrees_0",
      value: function getSubTrees_0(e) {
        return this.getSubTrees_0WithHttpInfo(e);
      }
    }, {
      key: "getTreeWithHttpInfo",
      value: function getTreeWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getTree");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = v;
        return this.apiClient.callApi("/api/file-management/folders/{id}/tree", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getTree",
      value: function getTree(e) {
        return this.getTreeWithHttpInfo(e);
      }
    }, {
      key: "insertManyWithHttpInfo",
      value: function insertManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          n = {},
          i = {},
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = ["application/_*+json", "application/json", "text/json"],
          s = ["application/json", "text/json", "text/plain"],
          p = e.returnType || null;
        return this.apiClient.callApi("/api/file-management/folders/many", "POST", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "insertMany",
      value: function insertMany(e) {
        return this.insertManyWithHttpInfo(e);
      }
    }, {
      key: "moveWithHttpInfo",
      value: function moveWithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {
            id: e.id,
            parentId: e.parentId
          },
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = e.returnType || null;
        return this.apiClient.callApi("/api/file-management/folders/move", "PUT", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "move",
      value: function move(e) {
        return this.moveWithHttpInfo(e);
      }
    }, {
      key: "updateWithHttpInfo",
      value: function updateWithHttpInfo(e, t) {
        t = t || {};
        var n = t.body;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling update");
        var i = {
            id: e
          },
          r = {},
          a = t.header || {},
          l = {},
          o = ["oauth2"],
          s = ["application/_*+json", "application/json", "text/json"],
          p = ["application/json", "text/json", "text/plain"],
          c = h;
        return this.apiClient.callApi("/api/file-management/folders/{id}", "PUT", i, r, a, l, n, o, s, p, c);
      }
    }, {
      key: "update",
      value: function update(e, t) {
        return this.updateWithHttpInfo(e, t);
      }
    }, {
      key: "updateManyWithHttpInfo",
      value: function updateManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          n = {},
          i = {},
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = ["application/_*+json", "application/json", "text/json"],
          s = ["application/json", "text/json", "text/plain"],
          p = e.returnType || null;
        return this.apiClient.callApi("/api/file-management/folders/many", "PUT", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "updateMany",
      value: function updateMany(e) {
        return this.updateManyWithHttpInfo(e);
      }
    }]);
  }();
  G(ue, "Methods", {
    callDelete: {
      method: "DELETE",
      path: "/api/file-management/folders/{id}"
    },
    changeName: {
      desc: "修改目录名称",
      method: "PUT",
      path: "/api/file-management/folders/change-name"
    },
    create: {
      method: "POST",
      path: "/api/file-management/folders"
    },
    deleteFolder: {
      desc: "删除文件夹及子文件夹的所有文件夹和文件",
      method: "POST",
      path: "/api/file-management/folders/delete"
    },
    deleteMany: {
      method: "DELETE",
      path: "/api/file-management/folders/many"
    },
    findChildList: {
      desc: "查询子集文件夹列表",
      method: "GET",
      path: "/api/file-management/folders/find-child-list"
    },
    findChildren: {
      method: "GET",
      path: "/api/file-management/folders/children"
    },
    findChildren_0: {
      method: "GET",
      path: "/api/file-management/folders/{id}/children"
    },
    findParents: {
      method: "GET",
      path: "/api/file-management/folders/{id}/parents"
    },
    findTreeList: {
      desc: "查找目录树(包含父到根)列表",
      method: "GET",
      path: "/api/file-management/folders/find-tree-list"
    },
    get: {
      method: "GET",
      path: "/api/file-management/folders/{id}"
    },
    getList: {
      method: "GET",
      path: "/api/file-management/folders"
    },
    getParentTree: {
      method: "GET",
      path: "/api/file-management/folders/{id}/parent-tree"
    },
    getPropertyPath: {
      method: "GET",
      path: "/api/file-management/folders/{id}/property-path"
    },
    getRootList: {
      method: "GET",
      path: "/api/file-management/folders/roots"
    },
    getSubTrees: {
      method: "GET",
      path: "/api/file-management/folders/sub-trees"
    },
    getSubTrees_0: {
      method: "GET",
      path: "/api/file-management/folders/{id}/sub-trees"
    },
    getTree: {
      method: "GET",
      path: "/api/file-management/folders/{id}/tree"
    },
    insertMany: {
      method: "POST",
      path: "/api/file-management/folders/many"
    },
    move: {
      method: "PUT",
      path: "/api/file-management/folders/move"
    },
    update: {
      method: "PUT",
      path: "/api/file-management/folders/{id}"
    },
    updateMany: {
      method: "PUT",
      path: "/api/file-management/folders/many"
    }
  });
  var ce = /*#__PURE__*/function () {
    function ce(e) {
      _classCallCheck(this, ce);
      this.apiClient = e || m.GetInstance("file-management", "PublicFileApi");
    }
    return _createClass(ce, [{
      key: "callDeleteWithHttpInfo",
      value: function callDeleteWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling callDelete");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = null;
        return this.apiClient.callApi("/api/file-management/public-file/{id}", "DELETE", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "callDelete",
      value: function callDelete(e) {
        return this.callDeleteWithHttpInfo(e);
      }
    }, {
      key: "createWithHttpInfo",
      value: function createWithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {},
          r = e.header || {},
          a = {
            files: this.apiClient.buildCollectionParam(e.files, "multi")
          },
          l = ["oauth2"],
          o = ["multipart/form-data"],
          s = ["application/json", "text/json", "text/plain"],
          p = [F];
        return this.apiClient.callApi("/api/file-management/public-file/upload", "POST", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "create",
      value: function create(e) {
        return this.createWithHttpInfo(e);
      }
    }, {
      key: "downloadWithHttpInfo",
      value: function downloadWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling download");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = "Blob";
        return this.apiClient.callApi("/api/file-management/public-file/download/{id}", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "download",
      value: function download(e) {
        return this.downloadWithHttpInfo(e);
      }
    }, {
      key: "getWithHttpInfo",
      value: function getWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling get");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = W;
        return this.apiClient.callApi("/api/file-management/public-file/{id}", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "get",
      value: function get(e) {
        return this.getWithHttpInfo(e);
      }
    }, {
      key: "getFileContentWithHttpInfo",
      value: function getFileContentWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getFileContent");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = C;
        return this.apiClient.callApi("/api/file-management/public-file/file-content/{id}", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getFileContent",
      value: function getFileContent(e) {
        return this.getFileContentWithHttpInfo(e);
      }
    }, {
      key: "getFileStreamWithHttpInfo",
      value: function getFileStreamWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getFileStream");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = E;
        return this.apiClient.callApi("/api/file-management/public-file/file-stream/{id}", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getFileStream",
      value: function getFileStream(e) {
        return this.getFileStreamWithHttpInfo(e);
      }
    }]);
  }();
  G(ce, "Methods", {
    callDelete: {
      method: "DELETE",
      path: "/api/file-management/public-file/{id}"
    },
    create: {
      method: "POST",
      path: "/api/file-management/public-file/upload"
    },
    download: {
      desc: "下载文件",
      method: "GET",
      path: "/api/file-management/public-file/download/{id}"
    },
    get: {
      method: "GET",
      path: "/api/file-management/public-file/{id}"
    },
    getFileContent: {
      method: "GET",
      path: "/api/file-management/public-file/file-content/{id}"
    },
    getFileStream: {
      method: "GET",
      path: "/api/file-management/public-file/file-stream/{id}"
    }
  });
  var fe = /*#__PURE__*/function () {
    function fe(e) {
      _classCallCheck(this, fe);
      this.apiClient = e || m.GetInstance("file-management", "TempFileApi");
    }
    return _createClass(fe, [{
      key: "callDeleteWithHttpInfo",
      value: function callDeleteWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling callDelete");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = null;
        return this.apiClient.callApi("/api/file-management/tempfiles/{id}", "DELETE", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "callDelete",
      value: function callDelete(e) {
        return this.callDeleteWithHttpInfo(e);
      }
    }, {
      key: "chunkUploadWithHttpInfo",
      value: function chunkUploadWithHttpInfo(e, t, n) {
        n = n || {};
        var i = null;
        if (e == null) throw new Error("Missing the required parameter 'md5' when calling chunkUpload");
        if (t == null) throw new Error("Missing the required parameter 'chunk' when calling chunkUpload");
        var r = {
            md5: e,
            chunk: t
          },
          a = {},
          l = n.header || {},
          o = {
            file: n.file
          },
          s = ["oauth2"],
          p = ["multipart/form-data"],
          c = ["application/json", "text/json", "text/plain"],
          $ = D;
        return this.apiClient.callApi("/api/file-management/tempfiles/chunk-upload/{md5}/{chunk}", "POST", r, a, l, o, i, s, p, c, $);
      }
    }, {
      key: "chunkUpload",
      value: function chunkUpload(e, t, n) {
        return this.chunkUploadWithHttpInfo(e, t, n);
      }
    }, {
      key: "cleanTempFilesWithHttpInfo",
      value: function cleanTempFilesWithHttpInfo() {
        var e = null,
          t = {},
          n = {},
          i = {},
          r = {},
          a = ["oauth2"],
          l = [],
          o = ["application/json", "text/json", "text/plain"],
          s = null;
        return this.apiClient.callApi("/api/file-management/tempfiles/clean", "POST", t, n, i, r, e, a, l, o, s);
      }
    }, {
      key: "cleanTempFiles",
      value: function cleanTempFiles() {
        return this.cleanTempFilesWithHttpInfo();
      }
    }, {
      key: "createWithHttpInfo",
      value: function createWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          n = {},
          i = {},
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = ["application/_*+json", "application/json", "text/json"],
          s = ["application/json", "text/json", "text/plain"],
          p = d;
        return this.apiClient.callApi("/api/file-management/tempfiles", "POST", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "create",
      value: function create(e) {
        return this.createWithHttpInfo(e);
      }
    }, {
      key: "deleteByMd5WithHttpInfo",
      value: function deleteByMd5WithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'md5' when calling deleteByMd5");
        var n = {
            md5: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = null;
        return this.apiClient.callApi("/api/file-management/tempfiles/delete-by-md5/{md5}", "DELETE", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "deleteByMd5",
      value: function deleteByMd5(e) {
        return this.deleteByMd5WithHttpInfo(e);
      }
    }, {
      key: "deleteManyWithHttpInfo",
      value: function deleteManyWithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {
            ids: this.apiClient.buildCollectionParam(e.ids, "multi")
          },
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = e.returnType || null;
        return this.apiClient.callApi("/api/file-management/tempfiles/many", "DELETE", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "deleteMany",
      value: function deleteMany(e) {
        return this.deleteManyWithHttpInfo(e);
      }
    }, {
      key: "downloadWithHttpInfo",
      value: function downloadWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling download");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = "Blob";
        return this.apiClient.callApi("/api/file-management/tempfiles/{id}/download", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "download",
      value: function download(e) {
        return this.downloadWithHttpInfo(e);
      }
    }, {
      key: "downloadByMd5WithHttpInfo",
      value: function downloadByMd5WithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'md5' when calling downloadByMd5");
        var n = {
            md5: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = "Blob";
        return this.apiClient.callApi("/api/file-management/tempfiles/{md5}/download-by-md5", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "downloadByMd5",
      value: function downloadByMd5(e) {
        return this.downloadByMd5WithHttpInfo(e);
      }
    }, {
      key: "getWithHttpInfo",
      value: function getWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling get");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = d;
        return this.apiClient.callApi("/api/file-management/tempfiles/{id}", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "get",
      value: function get(e) {
        return this.getWithHttpInfo(e);
      }
    }, {
      key: "getFileContentWithHttpInfo",
      value: function getFileContentWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getFileContent");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = B;
        return this.apiClient.callApi("/api/file-management/tempfiles/{id}/content", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getFileContent",
      value: function getFileContent(e) {
        return this.getFileContentWithHttpInfo(e);
      }
    }, {
      key: "getFileContentByMd5WithHttpInfo",
      value: function getFileContentByMd5WithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'md5' when calling getFileContentByMd5");
        var n = {
            md5: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = B;
        return this.apiClient.callApi("/api/file-management/tempfiles/{md5}/stream-content-by-md5", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getFileContentByMd5",
      value: function getFileContentByMd5(e) {
        return this.getFileContentByMd5WithHttpInfo(e);
      }
    }, {
      key: "getFileInfoByIdWithHttpInfo",
      value: function getFileInfoByIdWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getFileInfoById");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = d;
        return this.apiClient.callApi("/api/file-management/tempfiles/file-by-id/{id}", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getFileInfoById",
      value: function getFileInfoById(e) {
        return this.getFileInfoByIdWithHttpInfo(e);
      }
    }, {
      key: "getFileInfoByMD5WithHttpInfo",
      value: function getFileInfoByMD5WithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'md5' when calling getFileInfoByMD5");
        var n = {
            md5: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = d;
        return this.apiClient.callApi("/api/file-management/tempfiles/file-by-md5/{md5}", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getFileInfoByMD5",
      value: function getFileInfoByMD5(e) {
        return this.getFileInfoByMD5WithHttpInfo(e);
      }
    }, {
      key: "getFileStreamWithHttpInfo",
      value: function getFileStreamWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getFileStream");
        var n = {
            id: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = A;
        return this.apiClient.callApi("/api/file-management/tempfiles/{id}/stream-content", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getFileStream",
      value: function getFileStream(e) {
        return this.getFileStreamWithHttpInfo(e);
      }
    }, {
      key: "getListWithHttpInfo",
      value: function getListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount,
            Sorting: e.sorting
          },
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = K;
        return this.apiClient.callApi("/api/file-management/tempfiles", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getList",
      value: function getList(e) {
        return this.getListWithHttpInfo(e);
      }
    }, {
      key: "getMaxChunkWithHttpInfo",
      value: function getMaxChunkWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'md5' when calling getMaxChunk");
        var n = {
            md5: e
          },
          i = {},
          r = {},
          a = {},
          l = ["oauth2"],
          o = [],
          s = ["application/json", "text/json", "text/plain"],
          p = "Number";
        return this.apiClient.callApi("/api/file-management/tempfiles/get-chunk/{md5}", "GET", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "getMaxChunk",
      value: function getMaxChunk(e) {
        return this.getMaxChunkWithHttpInfo(e);
      }
    }, {
      key: "insertManyWithHttpInfo",
      value: function insertManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          n = {},
          i = {},
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = ["application/_*+json", "application/json", "text/json"],
          s = ["application/json", "text/json", "text/plain"],
          p = e.returnType || null;
        return this.apiClient.callApi("/api/file-management/tempfiles/many", "POST", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "insertMany",
      value: function insertMany(e) {
        return this.insertManyWithHttpInfo(e);
      }
    }, {
      key: "mergeFilesWithHttpInfo",
      value: function mergeFilesWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          n = {},
          i = {},
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = ["application/_*+json", "application/json", "text/json"],
          s = ["application/json", "text/json", "text/plain"],
          p = [F];
        return this.apiClient.callApi("/api/file-management/tempfiles/merge-files", "POST", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "mergeFiles",
      value: function mergeFiles(e) {
        return this.mergeFilesWithHttpInfo(e);
      }
    }, {
      key: "updateWithHttpInfo",
      value: function updateWithHttpInfo(e, t) {
        t = t || {};
        var n = t.body;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling update");
        var i = {
            id: e
          },
          r = {},
          a = t.header || {},
          l = {},
          o = ["oauth2"],
          s = ["application/_*+json", "application/json", "text/json"],
          p = ["application/json", "text/json", "text/plain"],
          c = d;
        return this.apiClient.callApi("/api/file-management/tempfiles/{id}", "PUT", i, r, a, l, n, o, s, p, c);
      }
    }, {
      key: "update",
      value: function update(e, t) {
        return this.updateWithHttpInfo(e, t);
      }
    }, {
      key: "updateManyWithHttpInfo",
      value: function updateManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          n = {},
          i = {},
          r = e.header || {},
          a = {},
          l = ["oauth2"],
          o = ["application/_*+json", "application/json", "text/json"],
          s = ["application/json", "text/json", "text/plain"],
          p = e.returnType || null;
        return this.apiClient.callApi("/api/file-management/tempfiles/many", "PUT", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "updateMany",
      value: function updateMany(e) {
        return this.updateManyWithHttpInfo(e);
      }
    }, {
      key: "uploadWithHttpInfo",
      value: function uploadWithHttpInfo(e) {
        e = e || {};
        var t = null,
          n = {},
          i = {},
          r = e.header || {},
          a = {
            files: this.apiClient.buildCollectionParam(e.files, "multi")
          },
          l = ["oauth2"],
          o = ["multipart/form-data"],
          s = ["application/json", "text/json", "text/plain"],
          p = [F];
        return this.apiClient.callApi("/api/file-management/tempfiles/upload", "POST", n, i, r, a, t, l, o, s, p);
      }
    }, {
      key: "upload",
      value: function upload(e) {
        return this.uploadWithHttpInfo(e);
      }
    }]);
  }();
  G(fe, "Methods", {
    callDelete: {
      method: "DELETE",
      path: "/api/file-management/tempfiles/{id}"
    },
    chunkUpload: {
      desc: "文件分块上传",
      method: "POST",
      path: "/api/file-management/tempfiles/chunk-upload/{md5}/{chunk}"
    },
    cleanTempFiles: {
      desc: "清理临时文件",
      method: "POST",
      path: "/api/file-management/tempfiles/clean"
    },
    create: {
      method: "POST",
      path: "/api/file-management/tempfiles"
    },
    deleteByMd5: {
      desc: "根据md5删除文件",
      method: "DELETE",
      path: "/api/file-management/tempfiles/delete-by-md5/{md5}"
    },
    deleteMany: {
      method: "DELETE",
      path: "/api/file-management/tempfiles/many"
    },
    download: {
      desc: "下载文件",
      method: "GET",
      path: "/api/file-management/tempfiles/{id}/download"
    },
    downloadByMd5: {
      desc: "根据md5下载文件",
      method: "GET",
      path: "/api/file-management/tempfiles/{md5}/download-by-md5"
    },
    get: {
      method: "GET",
      path: "/api/file-management/tempfiles/{id}"
    },
    getFileContent: {
      desc: "获取指定文件内容",
      method: "GET",
      path: "/api/file-management/tempfiles/{id}/content"
    },
    getFileContentByMd5: {
      desc: "根据md5获取文件的文件内容",
      method: "GET",
      path: "/api/file-management/tempfiles/{md5}/stream-content-by-md5"
    },
    getFileInfoById: {
      desc: "获取id获取文件信息",
      method: "GET",
      path: "/api/file-management/tempfiles/file-by-id/{id}"
    },
    getFileInfoByMD5: {
      desc: "获取md5获取文件信息",
      method: "GET",
      path: "/api/file-management/tempfiles/file-by-md5/{md5}"
    },
    getFileStream: {
      desc: "获取指定文件流",
      method: "GET",
      path: "/api/file-management/tempfiles/{id}/stream-content"
    },
    getList: {
      method: "GET",
      path: "/api/file-management/tempfiles"
    },
    getMaxChunk: {
      desc: "获取指定文件的已上传的文件块",
      method: "GET",
      path: "/api/file-management/tempfiles/get-chunk/{md5}"
    },
    insertMany: {
      method: "POST",
      path: "/api/file-management/tempfiles/many"
    },
    mergeFiles: {
      desc: "合并文件",
      method: "POST",
      path: "/api/file-management/tempfiles/merge-files"
    },
    update: {
      method: "PUT",
      path: "/api/file-management/tempfiles/{id}"
    },
    updateMany: {
      method: "PUT",
      path: "/api/file-management/tempfiles/many"
    },
    upload: {
      desc: "上传文件",
      method: "POST",
      path: "/api/file-management/tempfiles/upload"
    }
  }), u.AbpRemoteServiceErrorInfo = O, u.AbpRemoteServiceErrorResponse = Y, u.AbpRemoteServiceValidationErrorInfo = L, u.ApiClient = m, u.FileApi = pe, u.FileConvertRecordApi = me, u.FileManagementCreateFileInfoDto = M, u.FileManagementCreateFolderDto = x, u.FileManagementCreateTempFileInfoDto = U, u.FileManagementFileByteContentDto = S, u.FileManagementFileConvertRecordCreateInputDto = J, u.FileManagementFileConvertRecordCustomerResultDto = P, u.FileManagementFileConvertRecordDto = y, u.FileManagementFileConvertRecordUpdateInputDto = j, u.FileManagementFileInfoDto = f, u.FileManagementFileStreamContentDto = N, u.FileManagementFolderDto = h, u.FileManagementFolderTreeDto = v, u.FileManagementMergeFileRequestDto = q, u.FileManagementPublicFileByteContentDto = C, u.FileManagementPublicFileInfoDto = W, u.FileManagementPublicFileStreamContentDto = E, u.FileManagementTempFileByteContentDto = B, u.FileManagementTempFileInfoDto = d, u.FileManagementTempFileStreamContentDto = A, u.FileManagementUpdateFileInfoDto = Z, u.FileManagementUpdateFolderDto = _, u.FileManagementUploadChunkResultDto = D, u.FileManagementUploadResultDto = F, u.FileManagementUploadResultProcessBarDto = H, u.FilesUploadBody = ee, u.FilesUploadfrompathBody = te, u.FolderApi = ue, u.IOStream = I, u.IPagedResultFileManagementFileConvertRecordCustomerResultDto = k, u.Md5ChunkBody = ne, u.Md5ChunkBody1 = ie, u.PagedResultDtoFileManagementFileConvertRecordDto = R, u.PagedResultDtoFileManagementFileInfoDto = z, u.PagedResultDtoFileManagementFolderDto = V, u.PagedResultDtoFileManagementTempFileInfoDto = K, u.PublicFileApi = ce, u.PublicfileUploadBody = re, u.TempFileApi = fe, u.TempfilesUploadBody = ae, u.UploadImagesBody = le, Object.defineProperty(u, Symbol.toStringTag, {
    value: "Module"
  });
});
/* WEBPACK VAR INJECTION */}.call(this, __webpack_require__("b639").Buffer, __webpack_require__("62e4")(module)))

/***/ }),

/***/ "8f6a":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Module dependencies.
 */
__webpack_require__("9911");
var utils = __webpack_require__("2945");
/**
 * Expose `ResponseBase`.
 */

module.exports = ResponseBase;
/**
 * Initialize a new `ResponseBase`.
 *
 * @api public
 */

function ResponseBase(obj) {
  if (obj) return mixin(obj);
}
/**
 * Mixin the prototype properties.
 *
 * @param {Object} obj
 * @return {Object}
 * @api private
 */

function mixin(obj) {
  for (var key in ResponseBase.prototype) {
    if (Object.prototype.hasOwnProperty.call(ResponseBase.prototype, key)) obj[key] = ResponseBase.prototype[key];
  }
  return obj;
}
/**
 * Get case-insensitive `field` value.
 *
 * @param {String} field
 * @return {String}
 * @api public
 */

ResponseBase.prototype.get = function (field) {
  return this.header[field.toLowerCase()];
};
/**
 * Set header related properties:
 *
 *   - `.type` the content type without params
 *
 * A response of "Content-Type: text/plain; charset=utf-8"
 * will provide you with a `.type` of "text/plain".
 *
 * @param {Object} header
 * @api private
 */

ResponseBase.prototype._setHeaderProperties = function (header) {
  // TODO: moar!
  // TODO: make this a util
  // content-type
  var ct = header['content-type'] || '';
  this.type = utils.type(ct); // params

  var params = utils.params(ct);
  for (var key in params) {
    if (Object.prototype.hasOwnProperty.call(params, key)) this[key] = params[key];
  }
  this.links = {}; // links

  try {
    if (header.link) {
      this.links = utils.parseLinks(header.link);
    }
  } catch (_unused) {// ignore
  }
};
/**
 * Set flags such as `.ok` based on `status`.
 *
 * For example a 2xx response will give you a `.ok` of __true__
 * whereas 5xx will be __false__ and `.error` will be __true__. The
 * `.clientError` and `.serverError` are also available to be more
 * specific, and `.statusType` is the class of error ranging from 1..5
 * sometimes useful for mapping respond colors etc.
 *
 * "sugar" properties are also defined for common cases. Currently providing:
 *
 *   - .noContent
 *   - .badRequest
 *   - .unauthorized
 *   - .notAcceptable
 *   - .notFound
 *
 * @param {Number} status
 * @api private
 */

ResponseBase.prototype._setStatusProperties = function (status) {
  var type = status / 100 | 0; // status / class

  this.statusCode = status;
  this.status = this.statusCode;
  this.statusType = type; // basics

  this.info = type === 1;
  this.ok = type === 2;
  this.redirect = type === 3;
  this.clientError = type === 4;
  this.serverError = type === 5;
  this.error = type === 4 || type === 5 ? this.toError() : false; // sugar

  this.created = status === 201;
  this.accepted = status === 202;
  this.noContent = status === 204;
  this.badRequest = status === 400;
  this.unauthorized = status === 401;
  this.notAcceptable = status === 406;
  this.forbidden = status === 403;
  this.notFound = status === 404;
  this.unprocessableEntity = status === 422;
};

/***/ }),

/***/ "d906":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("a4d3");
__webpack_require__("e01a");
__webpack_require__("d28b");
__webpack_require__("d9e2");
__webpack_require__("99af");
__webpack_require__("e260");
__webpack_require__("a15b");
__webpack_require__("14d9");
__webpack_require__("fb6a");
__webpack_require__("b0c0");
__webpack_require__("b64b");
__webpack_require__("d3b7");
__webpack_require__("ac1f");
__webpack_require__("00b4");
__webpack_require__("25f0");
__webpack_require__("3ca3");
__webpack_require__("5319");
__webpack_require__("1276");
__webpack_require__("498a");
__webpack_require__("313d");
__webpack_require__("159b");
__webpack_require__("ddb0");
__webpack_require__("0eb6");
__webpack_require__("b7ef");
__webpack_require__("8bd4");
__webpack_require__("c73d");
function _typeof(obj) {
  "@babel/helpers - typeof";

  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof = function _typeof(obj) {
      return typeof obj;
    };
  } else {
    _typeof = function _typeof(obj) {
      return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    };
  }
  return _typeof(obj);
}

/**
 * Root reference for iframes.
 */
var root;
if (typeof window !== 'undefined') {
  // Browser window
  root = window;
} else if (typeof self === 'undefined') {
  // Other environments
  console.warn('Using browser-only version of superagent in non-browser environment');
  root = void 0;
} else {
  // Web Worker
  root = self;
}
var Emitter = __webpack_require__("7297");
var safeStringify = __webpack_require__("375a");
var RequestBase = __webpack_require__("389f");
var isObject = __webpack_require__("2fce");
var ResponseBase = __webpack_require__("8f6a");
var Agent = __webpack_require__("e3fd");
/**
 * Noop.
 */

function noop() {}
/**
 * Expose `request`.
 */

module.exports = function (method, url) {
  // callback
  if (typeof url === 'function') {
    return new exports.Request('GET', method).end(url);
  } // url first

  if (arguments.length === 1) {
    return new exports.Request('GET', method);
  }
  return new exports.Request(method, url);
};
exports = module.exports;
var request = exports;
exports.Request = Request;
/**
 * Determine XHR.
 */

request.getXHR = function () {
  if (root.XMLHttpRequest && (!root.location || root.location.protocol !== 'file:' || !root.ActiveXObject)) {
    return new XMLHttpRequest();
  }
  try {
    return new ActiveXObject('Microsoft.XMLHTTP');
  } catch (_unused) {}
  try {
    return new ActiveXObject('Msxml2.XMLHTTP.6.0');
  } catch (_unused2) {}
  try {
    return new ActiveXObject('Msxml2.XMLHTTP.3.0');
  } catch (_unused3) {}
  try {
    return new ActiveXObject('Msxml2.XMLHTTP');
  } catch (_unused4) {}
  throw new Error('Browser-only version of superagent could not find XHR');
};
/**
 * Removes leading and trailing whitespace, added to support IE.
 *
 * @param {String} s
 * @return {String}
 * @api private
 */

var trim = ''.trim ? function (s) {
  return s.trim();
} : function (s) {
  return s.replace(/(^\s*|\s*$)/g, '');
};
/**
 * Serialize the given `obj`.
 *
 * @param {Object} obj
 * @return {String}
 * @api private
 */

function serialize(obj) {
  if (!isObject(obj)) return obj;
  var pairs = [];
  for (var key in obj) {
    if (Object.prototype.hasOwnProperty.call(obj, key)) pushEncodedKeyValuePair(pairs, key, obj[key]);
  }
  return pairs.join('&');
}
/**
 * Helps 'serialize' with serializing arrays.
 * Mutates the pairs array.
 *
 * @param {Array} pairs
 * @param {String} key
 * @param {Mixed} val
 */

function pushEncodedKeyValuePair(pairs, key, val) {
  if (val === undefined) return;
  if (val === null) {
    pairs.push(encodeURI(key));
    return;
  }
  if (Array.isArray(val)) {
    val.forEach(function (v) {
      pushEncodedKeyValuePair(pairs, key, v);
    });
  } else if (isObject(val)) {
    for (var subkey in val) {
      if (Object.prototype.hasOwnProperty.call(val, subkey)) pushEncodedKeyValuePair(pairs, "".concat(key, "[").concat(subkey, "]"), val[subkey]);
    }
  } else {
    pairs.push(encodeURI(key) + '=' + encodeURIComponent(val));
  }
}
/**
 * Expose serialization method.
 */

request.serializeObject = serialize;
/**
 * Parse the given x-www-form-urlencoded `str`.
 *
 * @param {String} str
 * @return {Object}
 * @api private
 */

function parseString(str) {
  var obj = {};
  var pairs = str.split('&');
  var pair;
  var pos;
  for (var i = 0, len = pairs.length; i < len; ++i) {
    pair = pairs[i];
    pos = pair.indexOf('=');
    if (pos === -1) {
      obj[decodeURIComponent(pair)] = '';
    } else {
      obj[decodeURIComponent(pair.slice(0, pos))] = decodeURIComponent(pair.slice(pos + 1));
    }
  }
  return obj;
}
/**
 * Expose parser.
 */

request.parseString = parseString;
/**
 * Default MIME type map.
 *
 *     superagent.types.xml = 'application/xml';
 *
 */

request.types = {
  html: 'text/html',
  json: 'application/json',
  xml: 'text/xml',
  urlencoded: 'application/x-www-form-urlencoded',
  form: 'application/x-www-form-urlencoded',
  'form-data': 'application/x-www-form-urlencoded'
};
/**
 * Default serialization map.
 *
 *     superagent.serialize['application/xml'] = function(obj){
 *       return 'generated xml here';
 *     };
 *
 */

request.serialize = {
  'application/x-www-form-urlencoded': serialize,
  'application/json': safeStringify
};
/**
 * Default parsers.
 *
 *     superagent.parse['application/xml'] = function(str){
 *       return { object parsed from str };
 *     };
 *
 */

request.parse = {
  'application/x-www-form-urlencoded': parseString,
  'application/json': JSON.parse
};
/**
 * Parse the given header `str` into
 * an object containing the mapped fields.
 *
 * @param {String} str
 * @return {Object}
 * @api private
 */

function parseHeader(str) {
  var lines = str.split(/\r?\n/);
  var fields = {};
  var index;
  var line;
  var field;
  var val;
  for (var i = 0, len = lines.length; i < len; ++i) {
    line = lines[i];
    index = line.indexOf(':');
    if (index === -1) {
      // could be empty line, just skip it
      continue;
    }
    field = line.slice(0, index).toLowerCase();
    val = trim(line.slice(index + 1));
    fields[field] = val;
  }
  return fields;
}
/**
 * Check if `mime` is json or has +json structured syntax suffix.
 *
 * @param {String} mime
 * @return {Boolean}
 * @api private
 */

function isJSON(mime) {
  // should match /json or +json
  // but not /json-seq
  return /[/+]json($|[^-\w])/.test(mime);
}
/**
 * Initialize a new `Response` with the given `xhr`.
 *
 *  - set flags (.ok, .error, etc)
 *  - parse header
 *
 * Examples:
 *
 *  Aliasing `superagent` as `request` is nice:
 *
 *      request = superagent;
 *
 *  We can use the promise-like API, or pass callbacks:
 *
 *      request.get('/').end(function(res){});
 *      request.get('/', function(res){});
 *
 *  Sending data can be chained:
 *
 *      request
 *        .post('/user')
 *        .send({ name: 'tj' })
 *        .end(function(res){});
 *
 *  Or passed to `.send()`:
 *
 *      request
 *        .post('/user')
 *        .send({ name: 'tj' }, function(res){});
 *
 *  Or passed to `.post()`:
 *
 *      request
 *        .post('/user', { name: 'tj' })
 *        .end(function(res){});
 *
 * Or further reduced to a single call for simple cases:
 *
 *      request
 *        .post('/user', { name: 'tj' }, function(res){});
 *
 * @param {XMLHTTPRequest} xhr
 * @param {Object} options
 * @api private
 */

function Response(req) {
  this.req = req;
  this.xhr = this.req.xhr; // responseText is accessible only if responseType is '' or 'text' and on older browsers

  this.text = this.req.method !== 'HEAD' && (this.xhr.responseType === '' || this.xhr.responseType === 'text') || typeof this.xhr.responseType === 'undefined' ? this.xhr.responseText : null;
  this.statusText = this.req.xhr.statusText;
  var status = this.xhr.status; // handle IE9 bug: http://stackoverflow.com/questions/10046972/msie-returns-status-code-of-1223-for-ajax-request

  if (status === 1223) {
    status = 204;
  }
  this._setStatusProperties(status);
  this.headers = parseHeader(this.xhr.getAllResponseHeaders());
  this.header = this.headers; // getAllResponseHeaders sometimes falsely returns "" for CORS requests, but
  // getResponseHeader still works. so we get content-type even if getting
  // other headers fails.

  this.header['content-type'] = this.xhr.getResponseHeader('content-type');
  this._setHeaderProperties(this.header);
  if (this.text === null && req._responseType) {
    this.body = this.xhr.response;
  } else {
    this.body = this.req.method === 'HEAD' ? null : this._parseBody(this.text ? this.text : this.xhr.response);
  }
} // eslint-disable-next-line new-cap

ResponseBase(Response.prototype);
/**
 * Parse the given body `str`.
 *
 * Used for auto-parsing of bodies. Parsers
 * are defined on the `superagent.parse` object.
 *
 * @param {String} str
 * @return {Mixed}
 * @api private
 */

Response.prototype._parseBody = function (str) {
  var parse = request.parse[this.type];
  if (this.req._parser) {
    return this.req._parser(this, str);
  }
  if (!parse && isJSON(this.type)) {
    parse = request.parse['application/json'];
  }
  return parse && str && (str.length > 0 || str instanceof Object) ? parse(str) : null;
};
/**
 * Return an `Error` representative of this response.
 *
 * @return {Error}
 * @api public
 */

Response.prototype.toError = function () {
  var req = this.req;
  var method = req.method;
  var url = req.url;
  var msg = "cannot ".concat(method, " ").concat(url, " (").concat(this.status, ")");
  var err = new Error(msg);
  err.status = this.status;
  err.method = method;
  err.url = url;
  return err;
};
/**
 * Expose `Response`.
 */

request.Response = Response;
/**
 * Initialize a new `Request` with the given `method` and `url`.
 *
 * @param {String} method
 * @param {String} url
 * @api public
 */

function Request(method, url) {
  var self = this;
  this._query = this._query || [];
  this.method = method;
  this.url = url;
  this.header = {}; // preserves header name case

  this._header = {}; // coerces header names to lowercase

  this.on('end', function () {
    var err = null;
    var res = null;
    try {
      res = new Response(self);
    } catch (err_) {
      err = new Error('Parser is unable to parse the response');
      err.parse = true;
      err.original = err_; // issue #675: return the raw response if the response parsing fails

      if (self.xhr) {
        // ie9 doesn't have 'response' property
        err.rawResponse = typeof self.xhr.responseType === 'undefined' ? self.xhr.responseText : self.xhr.response; // issue #876: return the http status code if the response parsing fails

        err.status = self.xhr.status ? self.xhr.status : null;
        err.statusCode = err.status; // backwards-compat only
      } else {
        err.rawResponse = null;
        err.status = null;
      }
      return self.callback(err);
    }
    self.emit('response', res);
    var new_err;
    try {
      if (!self._isResponseOK(res)) {
        new_err = new Error(res.statusText || res.text || 'Unsuccessful HTTP response');
      }
    } catch (err_) {
      new_err = err_; // ok() callback can throw
    } // #1000 don't catch errors from the callback to avoid double calling it

    if (new_err) {
      new_err.original = err;
      new_err.response = res;
      new_err.status = res.status;
      self.callback(new_err, res);
    } else {
      self.callback(null, res);
    }
  });
}
/**
 * Mixin `Emitter` and `RequestBase`.
 */
// eslint-disable-next-line new-cap

Emitter(Request.prototype); // eslint-disable-next-line new-cap

RequestBase(Request.prototype);
/**
 * Set Content-Type to `type`, mapping values from `request.types`.
 *
 * Examples:
 *
 *      superagent.types.xml = 'application/xml';
 *
 *      request.post('/')
 *        .type('xml')
 *        .send(xmlstring)
 *        .end(callback);
 *
 *      request.post('/')
 *        .type('application/xml')
 *        .send(xmlstring)
 *        .end(callback);
 *
 * @param {String} type
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.type = function (type) {
  this.set('Content-Type', request.types[type] || type);
  return this;
};
/**
 * Set Accept to `type`, mapping values from `request.types`.
 *
 * Examples:
 *
 *      superagent.types.json = 'application/json';
 *
 *      request.get('/agent')
 *        .accept('json')
 *        .end(callback);
 *
 *      request.get('/agent')
 *        .accept('application/json')
 *        .end(callback);
 *
 * @param {String} accept
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.accept = function (type) {
  this.set('Accept', request.types[type] || type);
  return this;
};
/**
 * Set Authorization field value with `user` and `pass`.
 *
 * @param {String} user
 * @param {String} [pass] optional in case of using 'bearer' as type
 * @param {Object} options with 'type' property 'auto', 'basic' or 'bearer' (default 'basic')
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.auth = function (user, pass, options) {
  if (arguments.length === 1) pass = '';
  if (_typeof(pass) === 'object' && pass !== null) {
    // pass is optional and can be replaced with options
    options = pass;
    pass = '';
  }
  if (!options) {
    options = {
      type: typeof btoa === 'function' ? 'basic' : 'auto'
    };
  }
  var encoder = function encoder(string) {
    if (typeof btoa === 'function') {
      return btoa(string);
    }
    throw new Error('Cannot use basic auth, btoa is not a function');
  };
  return this._auth(user, pass, options, encoder);
};
/**
 * Add query-string `val`.
 *
 * Examples:
 *
 *   request.get('/shoes')
 *     .query('size=10')
 *     .query({ color: 'blue' })
 *
 * @param {Object|String} val
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.query = function (val) {
  if (typeof val !== 'string') val = serialize(val);
  if (val) this._query.push(val);
  return this;
};
/**
 * Queue the given `file` as an attachment to the specified `field`,
 * with optional `options` (or filename).
 *
 * ``` js
 * request.post('/upload')
 *   .attach('content', new Blob(['<a id="a"><b id="b">hey!</b></a>'], { type: "text/html"}))
 *   .end(callback);
 * ```
 *
 * @param {String} field
 * @param {Blob|File} file
 * @param {String|Object} options
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.attach = function (field, file, options) {
  if (file) {
    if (this._data) {
      throw new Error("superagent can't mix .send() and .attach()");
    }
    this._getFormData().append(field, file, options || file.name);
  }
  return this;
};
Request.prototype._getFormData = function () {
  if (!this._formData) {
    this._formData = new root.FormData();
  }
  return this._formData;
};
/**
 * Invoke the callback with `err` and `res`
 * and handle arity check.
 *
 * @param {Error} err
 * @param {Response} res
 * @api private
 */

Request.prototype.callback = function (err, res) {
  if (this._shouldRetry(err, res)) {
    return this._retry();
  }
  var fn = this._callback;
  this.clearTimeout();
  if (err) {
    if (this._maxRetries) err.retries = this._retries - 1;
    this.emit('error', err);
  }
  fn(err, res);
};
/**
 * Invoke callback with x-domain error.
 *
 * @api private
 */

Request.prototype.crossDomainError = function () {
  var err = new Error('Request has been terminated\nPossible causes: the network is offline, Origin is not allowed by Access-Control-Allow-Origin, the page is being unloaded, etc.');
  err.crossDomain = true;
  err.status = this.status;
  err.method = this.method;
  err.url = this.url;
  this.callback(err);
}; // This only warns, because the request is still likely to work

Request.prototype.agent = function () {
  console.warn('This is not supported in browser version of superagent');
  return this;
};
Request.prototype.ca = Request.prototype.agent;
Request.prototype.buffer = Request.prototype.ca; // This throws, because it can't send/receive data as expected

Request.prototype.write = function () {
  throw new Error('Streaming is not supported in browser version of superagent');
};
Request.prototype.pipe = Request.prototype.write;
/**
 * Check if `obj` is a host object,
 * we don't want to serialize these :)
 *
 * @param {Object} obj host object
 * @return {Boolean} is a host object
 * @api private
 */

Request.prototype._isHost = function (obj) {
  // Native objects stringify to [object File], [object Blob], [object FormData], etc.
  return obj && _typeof(obj) === 'object' && !Array.isArray(obj) && Object.prototype.toString.call(obj) !== '[object Object]';
};
/**
 * Initiate request, invoking callback `fn(res)`
 * with an instanceof `Response`.
 *
 * @param {Function} fn
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.end = function (fn) {
  if (this._endCalled) {
    console.warn('Warning: .end() was called twice. This is not supported in superagent');
  }
  this._endCalled = true; // store callback

  this._callback = fn || noop; // querystring

  this._finalizeQueryString();
  this._end();
};
Request.prototype._setUploadTimeout = function () {
  var self = this; // upload timeout it's wokrs only if deadline timeout is off

  if (this._uploadTimeout && !this._uploadTimeoutTimer) {
    this._uploadTimeoutTimer = setTimeout(function () {
      self._timeoutError('Upload timeout of ', self._uploadTimeout, 'ETIMEDOUT');
    }, this._uploadTimeout);
  }
}; // eslint-disable-next-line complexity

Request.prototype._end = function () {
  if (this._aborted) return this.callback(new Error('The request has been aborted even before .end() was called'));
  var self = this;
  this.xhr = request.getXHR();
  var xhr = this.xhr;
  var data = this._formData || this._data;
  this._setTimeouts(); // state change

  xhr.onreadystatechange = function () {
    var readyState = xhr.readyState;
    if (readyState >= 2 && self._responseTimeoutTimer) {
      clearTimeout(self._responseTimeoutTimer);
    }
    if (readyState !== 4) {
      return;
    } // In IE9, reads to any property (e.g. status) off of an aborted XHR will
    // result in the error "Could not complete the operation due to error c00c023f"

    var status;
    try {
      status = xhr.status;
    } catch (_unused5) {
      status = 0;
    }
    if (!status) {
      if (self.timedout || self._aborted) return;
      return self.crossDomainError();
    }
    self.emit('end');
  }; // progress

  var handleProgress = function handleProgress(direction, e) {
    if (e.total > 0) {
      e.percent = e.loaded / e.total * 100;
      if (e.percent === 100) {
        clearTimeout(self._uploadTimeoutTimer);
      }
    }
    e.direction = direction;
    self.emit('progress', e);
  };
  if (this.hasListeners('progress')) {
    try {
      xhr.addEventListener('progress', handleProgress.bind(null, 'download'));
      if (xhr.upload) {
        xhr.upload.addEventListener('progress', handleProgress.bind(null, 'upload'));
      }
    } catch (_unused6) {// Accessing xhr.upload fails in IE from a web worker, so just pretend it doesn't exist.
      // Reported here:
      // https://connect.microsoft.com/IE/feedback/details/837245/xmlhttprequest-upload-throws-invalid-argument-when-used-from-web-worker-context
    }
  }
  if (xhr.upload) {
    this._setUploadTimeout();
  } // initiate request

  try {
    if (this.username && this.password) {
      xhr.open(this.method, this.url, true, this.username, this.password);
    } else {
      xhr.open(this.method, this.url, true);
    }
  } catch (err) {
    // see #1149
    return this.callback(err);
  } // CORS

  if (this._withCredentials) xhr.withCredentials = true; // body

  if (!this._formData && this.method !== 'GET' && this.method !== 'HEAD' && typeof data !== 'string' && !this._isHost(data)) {
    // serialize stuff
    var contentType = this._header['content-type'];
    var _serialize = this._serializer || request.serialize[contentType ? contentType.split(';')[0] : ''];
    if (!_serialize && isJSON(contentType)) {
      _serialize = request.serialize['application/json'];
    }
    if (_serialize) data = _serialize(data);
  } // set header fields

  for (var field in this.header) {
    if (this.header[field] === null) continue;
    if (Object.prototype.hasOwnProperty.call(this.header, field)) xhr.setRequestHeader(field, this.header[field]);
  }
  if (this._responseType) {
    xhr.responseType = this._responseType;
  } // send stuff

  this.emit('request', this); // IE11 xhr.send(undefined) sends 'undefined' string as POST payload (instead of nothing)
  // We need null here if data is undefined

  xhr.send(typeof data === 'undefined' ? null : data);
};
request.agent = function () {
  return new Agent();
};
['GET', 'POST', 'OPTIONS', 'PATCH', 'PUT', 'DELETE'].forEach(function (method) {
  Agent.prototype[method.toLowerCase()] = function (url, fn) {
    var req = new request.Request(method, url);
    this._setDefaults(req);
    if (fn) {
      req.end(fn);
    }
    return req;
  };
});
Agent.prototype.del = Agent.prototype.delete;
/**
 * GET `url` with optional callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed|Function} [data] or fn
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.get = function (url, data, fn) {
  var req = request('GET', url);
  if (typeof data === 'function') {
    fn = data;
    data = null;
  }
  if (data) req.query(data);
  if (fn) req.end(fn);
  return req;
};
/**
 * HEAD `url` with optional callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed|Function} [data] or fn
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.head = function (url, data, fn) {
  var req = request('HEAD', url);
  if (typeof data === 'function') {
    fn = data;
    data = null;
  }
  if (data) req.query(data);
  if (fn) req.end(fn);
  return req;
};
/**
 * OPTIONS query to `url` with optional callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed|Function} [data] or fn
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.options = function (url, data, fn) {
  var req = request('OPTIONS', url);
  if (typeof data === 'function') {
    fn = data;
    data = null;
  }
  if (data) req.send(data);
  if (fn) req.end(fn);
  return req;
};
/**
 * DELETE `url` with optional `data` and callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed} [data]
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

function del(url, data, fn) {
  var req = request('DELETE', url);
  if (typeof data === 'function') {
    fn = data;
    data = null;
  }
  if (data) req.send(data);
  if (fn) req.end(fn);
  return req;
}
request.del = del;
request.delete = del;
/**
 * PATCH `url` with optional `data` and callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed} [data]
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.patch = function (url, data, fn) {
  var req = request('PATCH', url);
  if (typeof data === 'function') {
    fn = data;
    data = null;
  }
  if (data) req.send(data);
  if (fn) req.end(fn);
  return req;
};
/**
 * POST `url` with optional `data` and callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed} [data]
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.post = function (url, data, fn) {
  var req = request('POST', url);
  if (typeof data === 'function') {
    fn = data;
    data = null;
  }
  if (data) req.send(data);
  if (fn) req.end(fn);
  return req;
};
/**
 * PUT `url` with optional `data` and callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed|Function} [data] or fn
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.put = function (url, data, fn) {
  var req = request('PUT', url);
  if (typeof data === 'function') {
    fn = data;
    data = null;
  }
  if (data) req.send(data);
  if (fn) req.end(fn);
  return req;
};

/***/ }),

/***/ "e3fd":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("a4d3");
__webpack_require__("e01a");
__webpack_require__("d28b");
__webpack_require__("d9e2");
__webpack_require__("a630");
__webpack_require__("e260");
__webpack_require__("14d9");
__webpack_require__("fb6a");
__webpack_require__("b0c0");
__webpack_require__("d3b7");
__webpack_require__("ac1f");
__webpack_require__("00b4");
__webpack_require__("25f0");
__webpack_require__("3ca3");
__webpack_require__("159b");
__webpack_require__("ddb0");
function _toConsumableArray(arr) {
  return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
}
function _nonIterableSpread() {
  throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}
function _iterableToArray(iter) {
  if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter);
}
function _arrayWithoutHoles(arr) {
  if (Array.isArray(arr)) return _arrayLikeToArray(arr);
}
function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;
  for (var i = 0, arr2 = new Array(len); i < len; i++) {
    arr2[i] = arr[i];
  }
  return arr2;
}
function Agent() {
  this._defaults = [];
}
['use', 'on', 'once', 'set', 'query', 'type', 'accept', 'auth', 'withCredentials', 'sortQuery', 'retry', 'ok', 'redirects', 'timeout', 'buffer', 'serialize', 'parse', 'ca', 'key', 'pfx', 'cert', 'disableTLSCerts'].forEach(function (fn) {
  // Default setting for all requests from this agent
  Agent.prototype[fn] = function () {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    this._defaults.push({
      fn: fn,
      args: args
    });
    return this;
  };
});
Agent.prototype._setDefaults = function (req) {
  this._defaults.forEach(function (def) {
    req[def.fn].apply(req, _toConsumableArray(def.args));
  });
};
module.exports = Agent;

/***/ })

}]);
//# sourceMappingURL=cloud-render-management.umd.3.js.map